Search.setIndex({"docnames": ["api_structure", "dependencies", "examples/ex_CallableNumericalModel", "examples/ex_CallableNumericalModel_ode", "examples/ex_ODEModel", "examples/ex_bivariate_likelihood", "examples/ex_fourier_series", "examples/ex_interactive_guesses_ODE", "examples/ex_interactive_guesses_nD", "examples/ex_interactive_guesses_vector_2D", "examples/ex_mexican_hat", "examples/ex_multidataset_likelihood", "examples/ex_ode_system", "examples/ex_piecewise", "examples/ex_poly_surface_fit", "examples/ex_tikhonov", "examples/index", "fitting_types", "index", "installation", "intro", "likelihood", "module_docs", "sigma", "style_guide", "technical_notes", "tutorial"], "filenames": ["api_structure.rst", "dependencies.rst", "examples/ex_CallableNumericalModel.rst", "examples/ex_CallableNumericalModel_ode.ipynb", "examples/ex_ODEModel.rst", "examples/ex_bivariate_likelihood.ipynb", "examples/ex_fourier_series.rst", "examples/ex_interactive_guesses_ODE.rst", "examples/ex_interactive_guesses_nD.rst", "examples/ex_interactive_guesses_vector_2D.rst", "examples/ex_mexican_hat.ipynb", "examples/ex_multidataset_likelihood.rst", "examples/ex_ode_system.ipynb", "examples/ex_piecewise.rst", "examples/ex_poly_surface_fit.rst", "examples/ex_tikhonov.ipynb", "examples/index.rst", "fitting_types.rst", "index.rst", "installation.rst", "intro.rst", "likelihood.rst", "module_docs.rst", "sigma.rst", "style_guide.rst", "technical_notes.rst", "tutorial.rst"], "titles": ["Internal API Structure", "Dependencies and Credits", "Example: Piecewise model using CallableNumericalModel", "Example: ODEModels as subproblems using CallableNumericalModel", "Example: ODEModel for Reaction Kinetics", "Example: Likelihood fitting a Bivariate Gaussian", "Example: Fourier Series", "Example: Interactive Guesses ODE", "Example: Interactive Guesses in N dimensions", "Example: Interactive Guesses Vector Model", "Global minimization: Skewed Mexican hat", "Example: Global Likelihood fitting", "Example: Multiple species Reaction Kinetics using ODEModel", "Example: Piecewise continuous function", "Example: Polynomial Surface Fit", "Example: Matrix Equations using Tikhonov Regularization", "Examples", "Fitting Types", "Welcome to symfit\u2019s documentation!", "Installation", "Introduction", "On Likelihood Fitting", "Module Documentation", "On Standard Deviations", "Style Guide &amp; Best Practices", "Technical Notes", "Tutorial"], "terms": {"here": [0, 2, 22], "we": [0, 4, 5, 6, 10, 11, 12, 13, 14, 15, 17, 22, 23, 26], "describ": [0, 14, 22], "how": [0, 2, 4, 5, 11, 13, 16, 17, 22, 23, 26], "code": [0, 1, 6, 7, 8, 9, 13, 14, 16, 17, 22, 23], "i": [0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 12, 13, 14, 15, 16, 18, 20, 21, 22, 23, 24, 26], "organ": 0, "thi": [0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 20, 22, 23, 24, 26], "onli": [0, 11, 12, 17, 22, 23], "realli": [0, 20, 22], "relev": 0, "advanc": [0, 18], "user": [0, 2, 16, 22], "develop": 0, "data": [0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 11, 12, 13, 14, 15, 17, 22, 23, 24, 26], "": [0, 1, 2, 5, 6, 10, 12, 15, 17, 20, 22, 23, 26], "most": [0, 17, 22], "basic": [0, 17, 22], "paramet": [0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 17, 20, 21, 22, 23, 26], "optimis": [0, 17], "depend": [0, 8, 17, 18, 22, 23, 26], "whether": [0, 22, 26], "you": [0, 1, 2, 3, 7, 8, 9, 13, 16, 17, 19, 20, 22, 23, 24, 26], "do": [0, 1, 2, 10, 13, 17, 23, 26], "least": [0, 16, 18, 22], "squar": [0, 16, 18, 22], "loglikelihood": [0, 5, 11, 17, 21, 22], "your": [0, 1, 2, 3, 8, 16, 17, 19, 20, 22], "function": [0, 2, 3, 6, 8, 9, 16, 17, 20, 21, 22, 26], "chang": [0, 17, 21, 22, 26], "mean": [0, 5, 15, 17, 22, 23], "can": [0, 2, 3, 5, 7, 8, 9, 11, 12, 13, 14, 15, 16, 17, 19, 20, 22, 23, 24, 26], "split": 0, "process": [0, 1, 13, 16, 17, 26], "three": [0, 17], "distinct": 0, "isol": 0, "part": [0, 2, 4, 22], "In": [0, 2, 3, 4, 5, 6, 8, 10, 11, 12, 14, 15, 17, 20, 22, 23, 24, 26], "practic": [0, 18, 23], "choos": [0, 17], "an": [0, 2, 3, 4, 6, 7, 8, 9, 11, 13, 15, 16, 17, 22, 26], "appropri": [0, 17], "basi": [0, 22], "also": [0, 2, 11, 13, 17, 19, 22, 23, 26], "give": [0, 1, 10, 13, 21, 22, 23, 26], "specif": [0, 17, 22], "instanc": [0, 22, 26], "class": [0, 2, 3, 22], "just": [0, 10, 17, 22, 23], "case": [0, 2, 3, 6, 13, 17, 22, 23], "know": [0, 15, 17, 22], "better": [0, 3, 5, 10, 12, 15], "For": [0, 17, 20, 22, 26], "both": [0, 11, 17, 20, 22], "ar": [0, 1, 3, 8, 9, 12, 15, 16, 17, 19, 20, 22, 23, 24, 26], "abstract": [0, 22], "base": [0, 12, 17, 22], "which": [0, 2, 7, 8, 9, 10, 11, 16, 17, 20, 22, 23], "requir": [0, 15, 19], "If": [0, 17, 19, 22, 23, 26], "more": [0, 8, 17, 20, 22, 26], "e": [0, 3, 17, 22], "g": [0, 17, 22], "support": [0, 2, 3, 5, 10, 12, 15, 17, 18, 26], "constraint": [0, 2, 13, 17, 20, 22], "correspond": [0, 5, 8, 15, 22], "constrainedminim": [0, 22], "hous": 0, "mathemat": [0, 16, 17, 25, 26], "definit": [0, 21, 23], "want": [0, 3, 6, 13, 14, 17, 22, 23], "us": [0, 1, 4, 5, 7, 8, 9, 10, 11, 13, 16, 17, 19, 20, 21, 22, 23, 24, 26], "typic": [0, 2, 22], "usecas": 0, "symfit": [0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 19, 20, 22, 23], "fulli": 0, "symbol": [0, 1, 2, 6, 15, 20, 22], "therefor": [0, 10, 13, 17, 21, 22, 23, 24, 26], "lot": [0, 13, 22], "properti": [0, 17, 22], "inspect": [0, 17, 22], "automat": [0, 17, 22], "As": [0, 6, 13, 17, 20, 22, 23], "qualiti": [0, 15, 22, 26], "all": [0, 1, 6, 17, 21, 22, 23, 26], "callabl": [0, 2, 22], "thei": [0, 12, 16, 17, 22], "have": [0, 1, 10, 13, 17, 20, 21, 22, 23, 24, 26], "implement": [0, 17, 22, 23, 25], "__call__": [0, 21, 22], "numer": [0, 10, 15, 22, 24], "evalu": [0, 8, 15, 17, 18, 20, 21, 22, 24], "given": [0, 1, 3, 17, 21, 22, 23, 24], "independ": [0, 6, 8, 17, 21, 22], "variabl": [0, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 17, 20, 21, 22, 23, 24, 26], "order": [0, 4, 6, 7, 10, 15, 17, 20, 22, 23, 24, 26], "make": [0, 1, 6, 13, 14, 16, 17, 20, 22, 26], "sure": [0, 17, 22], "get": [0, 17, 22, 23, 26], "alwai": [0, 1, 17, 20, 22, 24, 26], "inherit": [0, 22], "from": [0, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 19, 21, 22, 23, 26], "basemodel": [0, 22], "next": 0, "level": 0, "up": [0, 3, 5, 10, 12, 15, 17], "gradientmodel": [0, 22], "eval_jacobian": [0, 21, 22], "jacobian": [0, 17, 20, 21, 22], "lastli": [0, 17, 19], "hessianmodel": [0, 22], "eval_hessian": [0, 22], "hessian": [0, 22], "The": [0, 3, 4, 8, 13, 16, 17, 21, 22, 23, 24, 26], "standard": [0, 5, 6, 12, 13, 14, 15, 16, 17, 18, 22, 25], "abov": [0, 17, 23, 24, 26], "odd": 0, "ones": 0, "out": [0, 17, 20, 22], "current": [0, 22], "librari": 0, "callablenumericalmodel": [0, 16, 22], "odemodel": [0, 2, 7, 16, 17, 22], "other": [0, 8, 15, 17, 22], "behavior": [0, 22, 23], "custom": [0, 2, 22], "build": [0, 5, 12, 15, 17, 22, 23], "sinc": [0, 2, 17, 22, 23], "0": [0, 2, 3, 4, 5, 6, 7, 8, 9, 10, 12, 13, 14, 15, 17, 20, 22, 23, 24, 26], "5": [0, 2, 5, 6, 8, 9, 10, 11, 12, 13, 14, 15, 17, 20, 22, 23, 26], "core": [0, 2, 3, 4, 5, 7, 10, 11, 12, 15, 17, 22], "ha": [0, 10, 15, 17, 20, 22, 23, 26], "been": [0, 10, 13, 17, 20, 21, 22, 26], "improv": [0, 22], "significantli": 0, "At": 0, "center": 0, "connectivity_map": [0, 2, 3, 22], "map": [0, 22], "repres": [0, 12, 17, 22], "connect": [0, 22], "matrix": [0, 16, 20, 22], "encod": 0, "compon": [0, 2, 5, 9, 12, 17, 22, 26], "To": [0, 15, 17, 19, 20, 23, 24, 26], "help": [0, 7, 8, 9, 13, 22], "ordered_symbol": [0, 22], "topolog": [0, 22], "sort": [0, 22], "dictat": 0, "wrap": [0, 17, 22], "suppli": 0, "expos": [0, 18], "free": [0, 22], "outsid": 0, "world": [0, 17], "when": [0, 17, 22, 23], "call": [0, 17, 22, 23, 26], "must": [0, 3, 22], "return": [0, 2, 6, 15, 17, 21, 22, 24, 26], "scalar": [0, 15, 22], "so": [0, 1, 8, 17, 22, 24, 26], "need": [0, 15, 17, 20, 22], "someth": [0, 20, 24], "maxim": [0, 18, 20, 21, 22, 26], "add": [0, 13, 14, 17], "negat": 0, "right": [0, 17, 22], "place": [0, 10, 22], "name": [0, 12, 15, 17, 18, 22, 24], "keyword": [0, 17, 22, 26], "argument": [0, 17, 18, 24, 26], "list": [0, 17, 19, 22], "valu": [0, 2, 3, 5, 6, 7, 8, 9, 10, 12, 13, 14, 15, 16, 17, 20, 21, 22, 23, 24, 26], "same": [0, 10, 11, 17, 21, 22, 23], "free_param": [0, 22], "alphabet": [0, 17, 22, 24, 26], "latter": 0, "becaus": [0, 3, 5, 10, 12, 15, 16, 17, 20, 22], "scipi": [0, 1, 17, 20, 22, 23], "like": [0, 10, 17, 22], "Be": [0, 17], "re": [0, 10, 15, 17], "defin": [0, 3, 4, 6, 7, 10, 11, 15, 16, 17, 20, 22, 26], "method": [0, 17, 22], "expect": [0, 17, 21, 22, 23], "similar": [0, 24], "come": [0, 8, 17, 20, 22], "type": [0, 18, 22, 26], "baseobject": [0, 22], "gradientobject": [0, 22], "hessianobject": [0, 22], "These": [0, 2, 16, 17, 22], "respect": [0, 8, 17, 21, 22], "new": [0, 17, 22], "best": [0, 11, 17, 18, 20, 22], "possibl": [0, 1, 13, 17, 22], "feed": 0, "doe": [0, 10, 13, 17, 20, 22, 23, 26], "puppi": 0, "die": 0, "clever": 0, "enough": [0, 7, 8, 9, 17], "prevent": [0, 26], "last": 0, "chain": [0, 17, 22], "provid": [0, 2, 8, 10, 16, 17, 20, 22, 23], "should": [0, 2, 17, 21, 22, 23, 26], "note": [0, 14, 17, 18, 20, 22, 24, 26], "onc": [0, 22], "again": [0, 17, 26], "differ": [0, 11, 16, 17, 22, 23], "take": [0, 6, 17, 22], "bound": [0, 1, 13, 17, 20, 22], "gradient": [0, 10, 22], "Their": 0, "execut": [0, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 17, 20, 22, 23, 26], "metaparamet": 0, "own": [0, 17, 20, 22], "its": [0, 22], "decis": 0, "And": [0, 20, 22, 23], "style": [0, 1, 11, 17, 18, 22], "look": [0, 10, 17, 20, 22, 26], "scipyminim": [0, 22], "avoid": 0, "duplic": 0, "effort": 0, "fitresult": [0, 17, 22, 26], "ani": [0, 2, 10, 16, 17, 20, 22, 26], "arg": [0, 17, 22], "kwarg": [0, 22], "pass": [0, 22], "underli": 0, "respons": 0, "string": [0, 22], "togeth": 0, "intellig": 0, "coach": 0, "direct": 0, "decid": 0, "pai": 1, "where": [1, 3, 10, 17, 21, 22, 23], "due": [1, 3, 17, 23], "follow": [1, 10, 13, 14, 17, 22, 23, 24, 26], "project": [1, 17, 20, 22], "sexi": 1, "interfac": [1, 2, 13, 17], "leastsqbound": 1, "domain": [1, 17], "seaborn": [1, 14], "wa": [1, 16, 17, 22, 23], "beautifulli": 1, "plot": [1, 2, 4, 6, 8, 10, 12, 13, 15, 17, 22, 26], "exampl": [1, 10, 17, 18, 20, 22, 24, 25], "sexifi": 1, "matplotlib": [1, 2, 3, 4, 5, 6, 10, 12, 13, 14, 15, 16, 22, 26], "import": [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 17, 22, 26], "even": [1, 17, 22, 23, 26], "don": [1, 17, 22], "t": [1, 3, 4, 5, 7, 10, 12, 15, 17, 22], "special": [1, 17, 22], "facil": 1, "highli": [1, 3, 5, 10, 12, 15, 20], "recommend": [1, 3, 5, 10, 12, 15, 24], "numpi": [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 17, 22, 26], "cours": [1, 17], "effici": [1, 22], "sympi": [1, 10, 15, 16, 18, 20, 22], "manipul": 1, "express": [1, 2, 15, 22, 26], "high": [1, 10], "readabl": [1, 17, 20, 22, 24], "below": [2, 3, 4, 6, 7, 8, 9, 13, 17, 26], "allow": [2, 20, 22], "while": [2, 17, 22], "still": [2, 17, 22, 23, 26], "clean": 2, "api": [2, 5, 18, 20, 22, 25], "accept": [2, 22], "mixtur": 2, "demonstr": [2, 5, 10, 15, 16], "power": [2, 17, 20, 22], "great": [2, 17, 20], "flexibl": [2, 16], "easi": [2, 10, 13, 17, 20, 26], "minim": [2, 5, 12, 15, 18, 25, 26], "etc": [2, 22], "fit": [2, 3, 4, 6, 7, 8, 9, 10, 12, 13, 15, 16, 18, 20, 23, 24, 25, 26], "d": [2, 3, 4, 7, 12, 15, 17, 22], "np": [2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 17, 22, 23, 26], "pyplot": [2, 3, 4, 5, 6, 10, 12, 13, 14, 15, 22, 26], "plt": [2, 3, 4, 5, 6, 10, 12, 13, 14, 15, 17, 26], "def": [2, 6, 17, 22], "nonanalytical_func": 2, "x": [2, 3, 4, 5, 6, 8, 9, 10, 13, 14, 15, 17, 20, 21, 22, 24, 26], "b": [2, 3, 4, 6, 11, 13, 17, 22, 26], "python": [2, 20, 22], "one": [2, 8, 11, 13, 17, 21, 22, 23], "easili": [2, 5, 22], "written": 2, "analyt": [2, 10, 22, 25], "non": [2, 22], "trivial": 2, "magic": [2, 26], "although": [2, 23], "could": [2, 10, 11, 15, 17, 22, 26], "done": [2, 17, 22], "y": [2, 3, 5, 6, 8, 10, 13, 14, 17, 20, 22, 23, 24, 26], "zeros_lik": [2, 6], "y1": [2, 9, 11, 13], "y2": [2, 9, 11, 13], "mixed_model": [2, 22], "gener": [2, 5, 9, 12, 13, 14, 15, 17, 22, 23, 26], "xdata": [2, 5, 6, 10, 13, 14, 17, 20, 22, 24, 26], "linspac": [2, 3, 4, 6, 8, 9, 10, 12, 13, 14, 15, 17, 26], "10": [2, 3, 8, 10, 12, 14, 15, 17, 22, 23], "y1data": 2, "y2data": 2, "1": [2, 3, 4, 5, 6, 8, 9, 10, 11, 12, 13, 14, 15, 17, 20, 21, 22, 23, 26], "3": [2, 3, 5, 6, 8, 10, 12, 13, 14, 15, 17, 20, 22, 24, 26], "4": [2, 5, 6, 10, 12, 13, 15, 17, 22, 26], "random": [2, 5, 11, 12, 13, 14, 15, 17, 22, 23, 26], "normal": [2, 5, 12, 13, 14, 15, 17, 23, 26], "perform": [2, 5, 7, 8, 9, 10, 11, 12, 14, 15, 17, 21, 22, 26], "fit_result": [2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 17, 20, 22, 23, 26], "print": [2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 17, 18, 26], "irrelev": [2, 4, 22], "y1_fit": 2, "y2_fit": 2, "param": [2, 4, 6, 12, 13, 14, 15, 17, 20, 22, 26], "scatter": [2, 4, 12, 13, 17, 22, 26], "label": [2, 4, 10, 12, 15, 17], "r": [2, 10, 12, 15, 17, 22], "y_1": [2, 17, 20, 24, 26], "y_2": [2, 17, 20, 24, 26], "legend": [2, 4, 10, 12, 15, 17], "loc": [2, 4], "show": [2, 4, 6, 11, 12, 13, 14, 17, 22, 26], "result": [2, 3, 4, 5, 6, 17, 18, 23, 24], "imagin": [3, 17], "od": [3, 4, 12, 16, 18, 22], "aren": 3, "directli": [3, 20, 22], "link": [3, 22], "model": [3, 4, 5, 6, 7, 8, 10, 11, 12, 13, 14, 15, 18, 20, 23, 24, 25], "z": [3, 8, 14, 17, 22, 26], "form": 3, "deriv": [3, 12, 13, 15, 17, 20, 21, 22], "contain": [3, 20, 21, 22, 26], "addit": [3, 22], "optim": [3, 6, 13, 14, 15, 17, 20, 22, 23, 26], "shown": [3, 8, 23], "dictionari": [3, 22], "inform": [3, 22, 26], "about": [3, 17, 26], "creat": [3, 5, 10, 12, 15, 17, 20, 22], "x_data": [3, 8, 9, 17], "1000": [3, 9, 11, 12, 17], "a_expect": 3, "6": [3, 5, 6, 10, 11, 13, 14, 15, 17, 22, 26], "b_expect": 3, "z_data": [3, 8], "2": [3, 5, 6, 9, 10, 12, 13, 14, 15, 17, 20, 22, 24, 26], "exp": [3, 5, 8, 11, 13, 15, 17, 20, 22, 26], "initialis": 3, "ode_model": [3, 17], "initi": [3, 4, 7, 8, 9, 10, 12, 16, 17, 18, 22, 23], "model_dict": [3, 6, 12, 14, 15, 17, 22, 26], "lambda": [3, 15, 17, 22], "appli": [3, 17, 22], "temporari": [3, 5, 10, 12, 15], "config": [3, 5, 10, 12, 15], "cach": [3, 5, 10, 12, 15, 22], "directori": [3, 5, 10, 12, 15], "tmp": [3, 5, 10, 12, 15], "42kp6ksu": 3, "default": [3, 5, 8, 10, 12, 15, 17, 22, 23, 26], "path": [3, 5, 10, 12, 15], "sbuild": [3, 5, 10, 12, 15], "nonexist": [3, 5, 10, 12, 15], "writabl": [3, 5, 10, 12, 15], "set": [3, 5, 7, 8, 9, 10, 11, 12, 13, 15, 17, 22, 23], "mplconfigdir": [3, 5, 10, 12, 15], "environ": [3, 5, 10, 12, 15], "particular": [3, 5, 10, 12, 15], "speed": [3, 5, 10, 12, 15], "multiprocess": [3, 5, 10, 12, 15], "5999999737967867": 3, "00001056369618": 3, "taken": [4, 7, 8, 22], "libretext": [4, 7], "first": [4, 7, 10, 11, 12, 13, 15, 17, 22], "text": [4, 6, 13], "A": [4, 7, 14, 15, 17, 20, 22, 26], "rightarrow": 4, "http": [4, 7, 19, 23], "chem": [4, 7], "org": [4, 7, 23], "physical_chemistri": [4, 7], "rate_law": [4, 7], "the_rate_law": [4, 7], "tdata": [4, 7, 12, 17], "arrai": [4, 5, 7, 17, 22], "9184": [4, 7], "9": [4, 5, 7, 12, 14, 15, 17, 22, 23], "0875": [4, 7], "11": [4, 5, 7, 17], "2485": [4, 7], "17": [4, 7], "5255": [4, 7], "23": [4, 5, 7], "9993": [4, 7], "27": [4, 7, 17], "7949": [4, 7], "31": [4, 7], "9783": [4, 7], "35": [4, 7], "2118": [4, 7], "42": [4, 5, 7, 11, 12, 17], "973": [4, 7], "46": [4, 7], "6555": [4, 7], "50": [4, 7, 8, 9, 13, 22], "3922": [4, 7], "55": [4, 7], "4747": [4, 7], "61": [4, 7], "827": [4, 7], "65": [4, 7], "6603": [4, 7], "70": [4, 7, 17], "0939": [4, 7], "concentr": [4, 7, 12, 17], "906": [4, 7], "8739": [4, 7], "5622": [4, 7], "5156": [4, 7], "3718": [4, 7], "2702": [4, 7], "2238": [4, 7], "1761": [4, 7], "1495": [4, 7], "1029": [4, 7], "086": [4, 7], "0697": [4, 7], "0546": [4, 7], "0393": [4, 7], "0324": [4, 7], "026": [4, 7], "our": [4, 5, 7, 15, 17, 26], "k": [4, 7, 9, 17, 26], "t_axi": 4, "80": 4, "a_fit": 4, "b_fit": 4, "xlabel": [4, 6, 10, 12, 15], "min": [4, 5, 10, 12, 13, 17, 20, 22, 26], "ylabel": [4, 6, 10, 12, 15], "m": [4, 15, 17, 22], "ylim": [4, 10], "xlim": [4, 15], "shall": [5, 11, 12, 17], "distribut": [5, 8, 11, 17, 18, 23, 26], "multivari": 5, "problem": [5, 7, 12, 15, 17, 22, 23], "sampl": [5, 11, 17, 23], "signific": [5, 17], "correl": [5, 22], "rho": [5, 22, 26], "between": [5, 13, 17, 22], "see": [5, 8, 10, 11, 12, 17, 19, 22, 23, 26], "extract": [5, 22], "rel": [5, 17, 22, 23, 26], "straightforwardli": 5, "object": [5, 6, 11, 12, 15, 17, 18, 21, 25, 26], "bivariategaussian": [5, 22], "3zcg5cgj": 5, "x0": [5, 9, 13, 17, 20, 22], "max": [5, 10, 12, 13, 17, 20, 22, 26], "7": [5, 10, 12, 15, 17, 22], "sig_x": [5, 8, 22, 26], "y0": [5, 17], "sig_i": [5, 8, 22, 26], "05": [5, 14], "001": 5, "pdf": [5, 22], "mu_x": [5, 8, 22, 26], "mu_i": [5, 8, 22, 26], "mock": [5, 12, 15, 17], "draw": [5, 11, 17, 22], "100000": 5, "59": 5, "8": [5, 6, 7, 8, 9, 13, 15, 17], "corr": 5, "cov": 5, "seed": [5, 11, 12, 13, 15, 22, 23], "ydata": [5, 6, 10, 13, 14, 17, 20, 22, 24, 26], "multivariate_norm": 5, "hist": 5, "hist2d": 5, "bin": [5, 7], "100": [5, 10, 15, 17, 26], "final": [5, 20], "ysvubo": [5, 15], "py": [5, 15], "459": 5, "runtimewarn": [5, 15], "divid": [5, 15], "zero": [5, 10, 15, 17, 22], "encount": [5, 15], "log": [5, 21, 22], "nansum": [5, 22], "evaluated_func": 5, "invalid": 5, "485": 5, "df": [5, 17, 22], "256": 5, "overflow": 5, "gof_qualifi": [5, 22], "39": 5, "log_likelihood": 5, "deviat": [5, 6, 12, 13, 14, 15, 17, 18, 22, 25], "026420e": 5, "01": [5, 6, 12, 13, 14, 15, 23], "013810e": 5, "03": [5, 12, 14, 23], "100898e": 5, "461684e": 5, "04": 5, "303400e": 5, "150556e": 5, "901317e": 5, "481346e": 5, "014040e": 5, "283990e": 5, "statu": [5, 6, 12, 13, 14, 15, 22], "messag": [5, 6, 12, 13, 14, 15, 22], "converg": [5, 12], "rel_reduction_of_f_": [5, 12], "lt": [5, 10, 12, 15], "_factr": [5, 12], "epsmch": [5, 12], "number": [5, 6, 12, 13, 14, 15, 22, 23], "iter": [5, 6, 12, 13, 14, 15, 17, 22], "22": 5, "0x7fcbda23a090": 5, "gt": [5, 10, 12, 15], "lbfgsb": [5, 12, 22], "0x7fcbda251650": 5, "good": [5, 12, 15, 17, 20, 22, 26], "qualifi": [5, 12, 15, 22], "inf": [5, 15], "106241": 5, "24669486462": 5, "objective_valu": [5, 12, 15], "agreement": [5, 23], "suppos": [6, 13, 14, 15, 17], "dataset": [6, 15, 18], "let": [6, 10, 12, 15, 17, 22, 23, 26], "step": [6, 17, 22, 26], "f": [6, 10, 12, 13, 14, 15, 17, 21, 22], "begin": [6, 13], "quad": [6, 13], "pi": [6, 22, 26], "leq": [6, 13], "end": [6, 13], "attempt": [6, 22], "n": [6, 10, 16, 21, 22, 23], "a_0": 6, "sum_": [6, 21, 22], "a_i": [6, 17], "co": [6, 17, 22], "omega": 6, "b_i": [6, 17], "sin": [6, 17, 22, 26], "fourier_seri": 6, "frequenc": 6, "term": [6, 17, 22], "a0": [6, 17], "cos_a": 6, "join": [6, 17], "format": [6, 12, 17, 22], "rang": [6, 8, 17, 20, 22], "sin_b": 6, "construct": 6, "sum": [6, 22], "ai": 6, "bi": 6, "enumer": 6, "zip": [6, 17], "start": [6, 22], "w": [6, 15, 22], "l": [6, 15, 17, 21, 22], "a1": 6, "a2": 6, "a3": 6, "b1": 6, "b2": 6, "b3": 6, "000000e": [6, 13, 23], "075395e": 6, "02": [6, 12, 13, 15, 23], "903805e": 6, "12": 6, "277426e": 6, "325068e": 6, "197889e": 6, "857033e": 6, "080979e": 6, "267589e": 6, "546980e": 6, "986491e": 6, "637273e": 6, "846406e": 6, "725019e": 6, "671471e": 6, "132108e": 6, "termin": [6, 13, 14, 15, 19], "successfulli": [6, 13, 14, 15], "44": [6, 17], "regress": [6, 13, 14, 17, 22], "coeffici": [6, 13, 14, 17, 22], "9401712713086535": 6, "modul": [7, 8, 9, 18, 20, 26], "solv": [7, 9, 10, 15, 17, 22, 23], "spdx": [7, 8, 9], "filecopyrighttext": [7, 8, 9], "2014": [7, 8, 9], "2020": [7, 8, 9], "martin": [7, 8, 9], "roelf": [7, 8, 9], "licens": [7, 8, 9], "identifi": [7, 8, 9, 22], "mit": [7, 8, 9], "usr": 7, "env": 7, "python3": 7, "utf": [7, 8, 9], "contrib": [7, 8, 9, 16, 18], "interactive_guess": [7, 8, 9, 16, 22], "interactiveguess": [7, 8, 9, 22], "reaction": [7, 16, 17], "kinet": [7, 16, 17], "n_point": [7, 9, 22], "250": [7, 9], "screenshot": [7, 8, 9], "window": [7, 8, 9, 16, 22], "By": [7, 8, 9, 26], "slider": [7, 8, 9, 22], "plai": [7, 8, 9, 16, 17], "until": [7, 8, 9, 17, 24], "close": [7, 8, 9, 17, 22], "Then": [7, 8, 9, 17, 22], "after": [7, 8, 9, 17, 22, 26], "than": [8, 22, 24], "gaussian": [8, 16, 20, 22], "25": 8, "y_data": [8, 17], "meshgrid": [8, 14, 15, 17], "flatten": 8, "span": 8, "contourplot": [8, 22], "background": [8, 17], "red": [8, 17, 22], "line": [8, 17, 22, 26], "propos": [8, 22], "point": [8, 13, 15, 17, 22, 23, 26], "per": [8, 22], "error": [8, 17, 20, 22, 23], "bar": 8, "spread": 8, "90": [8, 22], "percentil": [8, 22], "two": [9, 11, 13, 17, 22, 24], "900": 9, "y1_data": 9, "y2_data": 9, "eas": [10, 11, 17], "simpl": [10, 17, 18, 24], "potenti": 10, "local": [10, 17, 22], "minimum": [10, 17, 22], "differentialevolut": [10, 17, 22], "find": [10, 15, 16, 17, 22], "diff": [10, 13], "bfg": [10, 15, 17, 22], "nxu_2hba": 10, "u": [10, 15], "visual": 10, "what": [10, 18, 21, 22], "201": 10, "axhlin": [10, 15], "color": [10, 15, 17], "black": [10, 15, 17], "axvlin": [10, 15], "0x7fe387d4a7d0": 10, "solut": [10, 13, 17, 22, 23, 24], "sol": 10, "253248404857807": 10, "09866205647752": 10, "35191046133532": 10, "without": [10, 22, 23], "guess": [10, 17, 18, 19, 20, 22], "exact": [10, 17, 22], "num": 10, "09866205722533": 10, "instead": [10, 11, 12, 13, 17, 19, 22], "3504023201412205": 10, "correct": [10, 22, 23], "howev": [10, 12, 13, 15, 17, 22], "exactli": [10, 22], "expens": [10, 22], "precis": 10, "demand": [10, 13], "higher": 10, "preciss": 10, "isn": 10, "worth": 10, "comput": [10, 17, 22], "cost": 10, "tell": [10, 12, 17, 22], "351910461335324": 10, "now": [10, 15, 17, 22, 26], "proper": [10, 24], "found": [10, 17, 22], "much": [10, 17], "time": [11, 17, 24], "multipl": [11, 16, 18, 22], "each": [11, 17, 22], "experi": 11, "bivari": [11, 16, 22, 26], "data1": 11, "exponenti": [11, 17, 22], "data2": 11, "2000": 11, "x1": [11, 17, 22], "x2": [11, 17, 22], "work": [11, 17, 20, 22, 26], "complex": 12, "system": [12, 17, 22], "publish": 12, "polgar": 12, "et": 12, "al": 12, "some": [12, 17, 22, 26], "real": [12, 17], "deal": [12, 17, 23, 26], "key2str": [12, 22], "qrgocm0u": 12, "equat": [12, 16, 17], "mm": 12, "fmm": 12, "fmmf": 12, "k1_f": 12, "k1_r": 12, "k2_f": 12, "k2_r": 12, "mm_0": 12, "made": [12, 13, 17, 22], "amount": 12, "ff": 12, "20": [12, 17], "_asdict": [12, 22], "sigma_data": [12, 22], "var": [12, 22], "size": [12, 17, 23, 26], "len": [12, 15, 21, 22], "c": [12, 15, 17, 19], "pretend": 12, "experiment": [12, 22], "reason": [12, 17, 18, 26], "measur": [12, 17, 22, 23], "intermedi": 12, "nor": 12, "product": 12, "ignor": [12, 15, 17, 22], "those": [12, 17, 22], "them": [12, 17, 20, 22], "none": [12, 13, 15, 17, 22], "sigma_f": 12, "sigma_mm": 12, "540422e": 12, "440687e": 12, "065125e": 12, "165699e": 12, "706130e": 12, "305057e": 12, "633627e": 12, "647244e": 12, "30": 12, "leastsquar": [12, 15, 22], "0x7f1ae38d3bd0": 12, "0x7f1ae381f550": 12, "chi_squar": [12, 15], "33": 12, "98549453517454": 12, "16": 12, "99274726758727": 12, "r_squar": [12, 15, 22, 26], "9936568366400016": 12, "taxi": 12, "model_fit": 12, "lack": 12, "predict": [12, 23], "quit": [12, 17], "nice": [12, 22, 23, 26], "continuu": 13, "tricki": 13, "easier": [13, 16, 26], "x_0": [13, 22], "otherwis": [13, 17], "script": 13, "eq": [13, 17, 20, 22], "equal": [13, 17, 22], "substitut": 13, "sub": 13, "nois": [13, 14, 15, 17], "switchpoint": 13, "780338e": 13, "205443e": 13, "00": [13, 14], "051163e": 13, "18": 13, "9849188499599985": 13, "judg": 13, "graph": [13, 22], "anoth": [13, 22], "would": [13, 16, 17, 21, 22], "achiev": [13, 17], "report": [13, 26], "400000e": 13, "8558226069368662": 13, "prever": 13, "2d": 14, "poli": [14, 17], "sn": 14, "c1": [14, 17], "c2": [14, 17], "as_expr": 14, "friendli": 14, "x_vec": 14, "y_vec": 14, "zdata": [14, 17], "zfit": 14, "fig": 14, "ax1": 14, "ax2": 14, "subplot": 14, "heatmap": 14, "ax": [14, 22], "973489e": 14, "203071e": 14, "996901e": 14, "736484e": 14, "9952824293713467": 14, "illustr": 15, "invers": 15, "laplac": 15, "transform": 15, "adapt": 15, "involv": 15, "quantiti": [15, 22], "laplace_transform": 15, "matrixsymbol": 15, "sqrt": [15, 22, 23, 26], "callablemodel": [15, 22], "as504f77": 15, "sai": [15, 24], "laplace_model": 15, "nocond": 15, "true": [15, 17, 22, 23, 26], "confront": 15, "oper": [15, 18], "ill": [15, 22], "try": [15, 26], "secretli": 15, "known": [15, 23], "epsilon": 15, "percent": 15, "s_data": 15, "101": [15, 17, 25], "f_data": 15, "f_sigma": 15, "errorbar": [15, 22], "yerr": 15, "fmt": 15, "mathcal": 15, "s_i": 15, "0x7f37e1a87050": 15, "invert": 15, "procedur": [15, 22], "outlin": [15, 23], "cite": [15, 17], "n_": 15, "integ": 15, "tikhonov_model": 15, "sometim": [15, 17, 22], "caus": 15, "matric": 15, "singular": 15, "i_mat": 15, "ey": 15, "s_j": 15, "m_mat": 15, "delta": 15, "atleast_2d": 15, "linalg": 15, "norm": 15, "01965714": 15, "model_data": 15, "all_data": 15, "dict": [15, 22, 26], "449374e": 15, "14": [15, 17, 22, 26], "0x7f37e1a475d0": 15, "0x7f37e1875b90": 15, "269086252982466e": 15, "19": [15, 26], "634543126491233e": 15, "279": 15, "ss_re": 15, "ss_tot": 15, "check": [15, 22, 23], "reconstruct": 15, "f_re": 15, "dot": 15, "shape": [15, 17, 22], "f_": 15, "0x7f37e1804710": 15, "compar": [15, 17], "origin": [15, 22], "t_data": 15, "f_re_func": 15, "t_i": 15, "0x7f37e16a7410": 15, "Not": [15, 22], "bad": 15, "essenti": [16, 22], "valid": [16, 22], "veri": [16, 17, 20, 22, 23], "intuit": 16, "almost": 16, "paper": 16, "fourier": 16, "seri": 16, "piecewis": 16, "continu": 16, "polynomi": [16, 17], "surfac": [16, 17], "speci": 16, "subproblem": 16, "tikhonov": 16, "regular": 16, "likelihood": [16, 18, 22, 25], "global": [16, 18, 22], "avail": [16, 17, 22], "skew": [16, 17], "mexican": [16, 17], "hat": [16, 17], "design": [16, 17, 22], "present": [16, 17, 22], "around": [16, 17, 22, 26], "vector": [16, 17, 20, 21, 22, 24, 26], "dimens": [16, 22], "a_vec": [17, 26], "15": [17, 26], "scale": [17, 20, 23, 26], "b_vec": [17, 26], "105": [17, 26], "nicer": 17, "sigma_i": [17, 22, 23], "sigma": [17, 22, 23], "assum": [17, 22, 23], "weight": [17, 22, 23], "calcul": [17, 22], "absolut": [17, 22], "absolute_sigma": [17, 22, 23], "fals": [17, 22, 23], "pleas": 17, "opposit": [17, 22, 23], "convent": 17, "curve_fit": [17, 22, 23], "through": [17, 22, 26], "mail": 17, "seem": 17, "wai": [17, 22, 26], "histor": 17, "understand": 17, "never": [17, 20], "lose": 17, "backward": [17, 23], "compat": [17, 22, 23], "relationship": 17, "angl": 17, "triangl": 17, "c_i": 17, "102": 17, "99": 17, "71": 17, "73": 17, "69": 17, "180": 17, "ensur": 17, "knowledg": [17, 22], "geometri": 17, "despit": 17, "my": 17, "sloppi": 17, "under": 17, "hood": 17, "tri": 17, "select": [17, 22, 23], "observ": 17, "principl": 17, "maximum": [17, 22], "question": 17, "answer": 17, "beta": 17, "simultan": 17, "merg": 17, "section": 17, "subject": 17, "doc": [17, 22, 26], "2xy": 17, "2x": 17, "2y": 17, "func": [17, 22], "sign": [17, 22], "func_deriv": 17, "dfdx0": 17, "dfdx1": 17, "con": 17, "fun": 17, "jac": [17, 22], "ineq": 17, "slsqp": [17, 22], "option": [17, 22, 24], "disp": 17, "coupl": 17, "read": [17, 22, 23, 24, 26], "sens": [17, 22], "doesn": 17, "ge": [17, 20], "determin": [17, 20, 22, 23], "think": 17, "notic": [17, 22], "minu": 17, "might": [17, 26], "mai": [17, 22], "strike": 17, "weird": 17, "perfect": 17, "furthermor": [17, 20], "consist": [17, 22], "treatment": 17, "awar": [17, 22], "whole": [17, 22], "won": 17, "ordinari": 17, "differenti": 17, "remarkedli": 17, "rate": [17, 22], "constant": [17, 23], "frac": [17, 21, 22, 23], "da": 17, "dt": 17, "db": 17, "becom": [17, 20, 24], "alreadi": 17, "26": 17, "120": 17, "adata": 17, "10e": 17, "34": 17, "54": 17, "That": [17, 22], "behav": [17, 22], "explicitli": [17, 22, 26], "extrem": [17, 20, 22], "difficult": [17, 20, 24], "algorithm": [17, 20, 22], "view": 17, "usual": [17, 22], "sensit": 17, "critic": 17, "upon": [17, 22], "everi": [17, 21, 22, 23, 26], "integr": [17, 22], "tvec": 17, "500": 17, "syntax": [17, 26], "equilibria": 17, "compound": 17, "aa": 17, "aab": 17, "baab": 17, "p": [17, 21, 22, 26], "aa_0": 17, "amound": 17, "multicompon": 17, "chemic": 17, "notat": [17, 21, 26], "eval": 17, "blue": [17, 22], "green": 17, "pink": 17, "total": [17, 22], "common": [17, 22], "dampen": 17, "harmon": 17, "oscil": 17, "strength": 17, "mass": 17, "physic": 17, "factor": 17, "gamma": 17, "v": 17, "forc": 17, "hook": 17, "law": 17, "150": 17, "produc": 17, "tupl": [17, 22, 24, 26], "interest": [17, 23], "immedi": [17, 22, 26], "refer": [17, 23], "share": [17, 22], "decai": 17, "amplitud": 17, "y_0": 17, "x_1": 17, "x_2": 17, "a_1": 17, "a_2": 17, "b_1": 17, "b_2": 17, "xdata1": 17, "xdata2": 17, "ydata1": 17, "ydata2": 17, "mind": 17, "fair": 17, "game": 17, "behind": 17, "scene": 17, "residu": [17, 22], "ad": [17, 22], "readi": 17, "unlik": 17, "axi": 17, "properli": [17, 22], "fix": [17, 22, 26], "recalcul": [17, 22], "bestfit": 17, "overal": 17, "far": 17, "consid": [17, 22], "singl": [17, 22], "over": [17, 20, 22], "grid": [17, 22], "temperatur": 17, "dimension": 17, "coordin": 17, "vec": [17, 21, 22], "indic": [17, 22], "collect": [17, 22], "dure": [17, 22, 26], "mix": [17, 22], "c_2": 17, "c_1": 17, "secondli": 17, "zz": 17, "care": [17, 22], "conclus": 17, "fed": 17, "often": 17, "minimis": 17, "minima": 17, "thu": 17, "incredibli": 17, "annoi": 17, "further": [17, 22], "luckili": 17, "exist": [17, 20], "influenc": 17, "purpos": [17, 22], "firstli": 17, "differential_evolut": [17, 22], "basinhop": [17, 22], "run": [17, 19, 22, 23], "hopefulli": 17, "polish": [17, 22], "off": [17, 22], "evolut": 17, "rather": [17, 22], "hyperparamet": 17, "popsiz": [17, 22], "recombin": [17, 22], "There": [17, 26], "guarante": 17, "actual": [17, 22], "unfortun": 17, "worthi": 17, "mention": 17, "func2d": [17, 22], "minimizer_kwarg": [17, 22], "ret": 17, "niter": [17, 22], "200": [17, 22], "No": 17, "switch": 17, "li": 17, "artifici": 17, "pure": 17, "separ": [17, 22], "whatev": 17, "match": [17, 23], "decoupl": 17, "lib": 17, "data_1": 17, "data_2": 17, "data_3": 17, "data_4": 17, "data_5": 17, "data_6": 17, "x_3": 17, "x_4": 17, "x_5": 17, "x_6": 17, "y_3": 17, "y_4": 17, "y_5": 17, "y_6": 17, "z_": 17, "ll": [17, 23], "throughout": [17, 22], "intern": [17, 18, 22, 25], "applic": [17, 22], "within": [17, 22], "group": [17, 22], "It": [17, 22, 23, 24], "assign": [17, 22], "unambigu": [17, 22], "sigma_y_data": 17, "content": 18, "introduct": 18, "technic": 18, "instal": 18, "tutori": 18, "access": [18, 22, 24], "constrain": [18, 20, 22], "multidimension": 18, "basin": [18, 22], "hop": [18, 22], "usag": [18, 22], "unnam": 18, "guid": 18, "On": [18, 20, 22, 25], "comparison": [18, 25], "mathematica": [18, 25], "structur": [18, 25], "credit": 18, "interact": [18, 19, 22], "index": [18, 22, 24], "search": 18, "page": [18, 22], "pip": 19, "simpli": [19, 22, 26], "prefer": [19, 22, 26], "conda": 19, "forg": 19, "manual": 19, "download": 19, "sourc": [19, 22], "github": [19, 23], "com": [19, 23], "tbuli": 19, "3rd": 19, "parti": 19, "txt": 19, "full": [19, 26], "human": [20, 22], "aim": 20, "marri": 20, "packag": [20, 22], "certain": [20, 22], "sig": [20, 22], "distrubut": 20, "complic": [20, 22, 26], "beauti": 20, "approach": 20, "turn": [20, 22], "advantag": 20, "natur": [20, 22], "fly": 20, "save": [20, 22], "troubl": 20, "yourself": [20, 26], "estim": [20, 22], "succe": 20, "facilit": [21, 22], "_i": 21, "shorthand": [21, 26], "nabla_": [21, 22], "length": [21, 22], "everyth": 22, "offer": 22, "ordered_data": 22, "named_data": 22, "hascovariancematrix": 22, "stop": 22, "input": 22, "control": 22, "nelder": 22, "mead": 22, "neldermead": 22, "xatol": 22, "__init__": 22, "relat": 22, "bool": 22, "keep": 22, "wrong": 22, "scienc": [22, 23], "specifi": 22, "predefin": 22, "baseminim": 22, "sequenc": 22, "minimize_opt": 22, "takesdata": 22, "mixin": 22, "covari": 22, "well": [22, 26], "j": 22, "approxim": 22, "unabl": 22, "varianc": 22, "grain": 22, "salt": 22, "covariance_matrix": 22, "best_fit_param": 22, "importantli": 22, "prefix": 22, "sigma_": [22, 23], "sigma_x": 22, "stdev": [22, 26], "data_shap": 22, "rais": 22, "except": 22, "dependent_data": 22, "belong": 22, "kei": 22, "ordereddict": [22, 26], "independent_data": 22, "initial_guess": 22, "basecallablemodel": 22, "baseclass": 22, "signatur": 22, "NOT": 22, "namedtupl": [22, 24, 26], "desir": [22, 26], "Will": 22, "eval_compon": 22, "numerical_compon": 22, "basegradientmodel": 22, "Such": 22, "subclass": 22, "finit": 22, "finite_differ": 22, "dx": 22, "1e": 22, "08": 22, "sixth": 22, "central": 22, "tune": 22, "stepsiz": 22, "n_param": 22, "n_compon": 22, "n_datapoint": 22, "abc": 22, "enforc": 22, "ducktyp": 22, "__eq__": 22, "themselv": 22, "expr1": 22, "expr2": 22, "info": 22, "__getitem__": 22, "__getstate__": 22, "helper": 22, "pickl": 22, "__hash__": 22, "expr": 22, "__iter__": 22, "self": 22, "__len__": 22, "__neg__": 22, "copi": 22, "__str__": 22, "printabl": 22, "represent": 22, "str": 22, "classmethod": 22, "as_constraint": 22, "constraint_typ": 22, "init_kwarg": 22, "serv": 22, "init": 22, "interdep": 22, "cleaner": 22, "treat": 22, "foot": 22, "subset": 22, "function_dict": 22, "equival": [22, 24, 26], "replac": 22, "accord": 22, "prioriti": 22, "shared_paramet": 22, "vars_as_funct": 22, "recurs": 22, "rule": 22, "correctli": 22, "with_depend": 22, "model_expr": 22, "dependency_model": 22, "whose": 22, "stand": 22, "alon": 22, "basenumericalmodel": 22, "independent_var": 22, "deprec": 22, "infer": 22, "cannot": 22, "numerical_model": 22, "ident": 22, "tradit": 22, "freedom": 22, "seamlessli": 22, "rest": 22, "fill": 22, "partial": 22, "tha": 22, "second": 22, "output": 22, "kind": [22, 26], "modelerror": 22, "occur": 22, "modeloutput": 22, "hold": [22, 26], "mimic": 22, "Its": 22, "attribut": 22, "static": 22, "__new__": 22, "__repr__": 22, "repr": 22, "odeerror": 22, "integrator_kwarg": 22, "lsoda": 22, "dependent_var": 22, "condit": 22, "solve_ivp": 22, "hessian_from_model": 22, "interdepend": 22, "jacobian_from_model": 22, "as_funct": 22, "assumpt": 22, "distinguish": 22, "cl": 22, "named_valu": 22, "futur": 22, "buffer": 22, "noth": 22, "store": 22, "__slots__": 22, "put": 22, "stuff": 22, "pretti": 22, "advis": 22, "hack": 22, "moment": 22, "penalti": 22, "test": [22, 23], "setup": 22, "introspect": 22, "befor": 22, "anywai": 22, "useless": 22, "hope": 22, "somedai": 22, "monkei": 22, "patch": 22, "expert": 22, "shine": 22, "armour": 22, "__signature__": 22, "too": 22, "mani": 22, "happen": 22, "submodel": 22, "entir": [22, 23], "float": 22, "int": 22, "hash": 22, "lower": 22, "upper": 22, "feel": 22, "popt": 22, "minimizer_output": 22, "displai": 22, "thing": [22, 26], "unpack": [22, 24, 26], "__getattr__": 22, "item": 22, "request": 22, "raw": [22, 23], "tabl": 22, "param_1": 22, "param_2": 22, "scipygradientminim": 22, "wrapper": 22, "local_minim": 22, "globalminim": 22, "jac2d": 22, "555": 22, "list2kwarg": 22, "posit": 22, "super": 22, "boundedminim": 22, "cobyla": 22, "scipyconstrainedminim": 22, "chainedminim": 22, "valuabl": 22, "seper": 22, "xx": 22, "yy": 22, "tol": 22, "maxit": 22, "bfgs_2": 22, "minimz": 22, "scipyboundedminim": 22, "strategi": 22, "rand1bin": 22, "40": 22, "mutat": 22, "423": 22, "053": 22, "95": 22, "latinhypercub": 22, "de_opt": 22, "dummymodel": 22, "__getnewargs__": 22, "plain": 22, "_cl": 22, "alia": 22, "field": 22, "gradientminim": 22, "miniz": 22, "resize_jac": 22, "remov": 22, "hessianminim": 22, "resize_hess": 22, "method_nam": 22, "minpack": 22, "least_squar": 22, "industri": 22, "trf": 22, "minpack_opt": 22, "mxn": 22, "powel": 22, "scipy_constraint": 22, "either": [22, 24], "minimizemodel": 22, "statement": 22, "scipyhessianminim": 22, "handl": 22, "09": 22, "trustconstr": 22, "trust": 22, "constr": 22, "famou": 22, "itself": 22, "baseindependentobject": 22, "saniti": 22, "greatli": 22, "simplifi": 22, "empti": 22, "ordered_paramet": 22, "hessianobjectivejacapprox": 22, "proport": 22, "cdot": 22, "amongst": 22, "suffici": 22, "small": 22, "inject": 22, "drop": 22, "leav": 22, "x_i": 22, "r_i": 22, "th": 22, "associ": 22, "matter": [22, 23], "flatten_compon": 22, "nabla": 22, "2_": 22, "apply_func": 22, "awai": 22, "along": 22, "datapoint": [22, 23], "vectorleastsquar": 22, "chi2": 22, "root": 22, "chi": 22, "conveni": 22, "predominantli": 22, "cached_properti": 22, "cash": 22, "ever": 22, "unless": 22, "delet": 22, "convert": 22, "computation": 22, "__delete__": 22, "obj": 22, "parent": 22, "__get__": 22, "objtyp": 22, "decor": 22, "subsequ": 22, "attach": 22, "deprecationwarn": 22, "target": 22, "pair": 22, "though": 22, "context": 22, "usabl": 22, "creation": 22, "onto": 22, "seperate_symbol": 22, "typeerror": 22, "sympy_to_pi": 22, "sympy_to_scipi": 22, "dig": 22, "occasion": 22, "updat": 22, "yet": 22, "slightli": 22, "hard": 22, "deliber": 22, "chosen": 22, "capit": 22, "mu": [22, 23], "extens": 22, "peopl": 22, "less": [22, 24], "surviv": 22, "version": 22, "log_contour": 22, "graphic": 22, "drawn": 22, "contour": 22, "threshold": 22, "modifi": [22, 26], "densiti": 22, "cover": 22, "block": 22, "figur": 22, "interactiveguess2d": 22, "strategy2d": 22, "plot_data": 22, "proj": 22, "plot_model": 22, "update_plot": 22, "indep_var": 22, "dep_var": 22, "strategynd": 22, "essai": [23, 25], "meant": 23, "reflect": 23, "few": 23, "urg": 23, "anyon": 23, "who": 23, "summar": 23, "bullet": 23, "taldcroft": 23, "vari": [23, 26], "reproduc": 23, "recogn": 23, "avarag": 23, "10000": 23, "yn": 23, "fit_no_sigma": 23, "fit_result_no_sigma": 23, "102056e": 23, "897135e": 23, "incorrect": 23, "conclud": 23, "effect": 23, "fact": 23, "area": 23, "obvious": [23, 26], "certainti": 23, "argu": 23, "discuss": 23, "tool": 23, "man": 23, "nbviewer": 23, "jupyt": 23, "url": 23, "gist": 23, "5014170": 23, "31e29e235407e4913dc0ec403af7ed524372b612": 23, "ipynb": 23, "wolfram": 23, "languag": 23, "howto": 23, "fitmodelswithmeasurementerror": 23, "html": 23, "anyth": 24, "raymond": 24, "hetting": 24, "win": 24, "write": 24, "multidiment": 24, "ambigu": [24, 26], "increas": 24, "element": 24, "sol_1": 24, "sol_2": 24, "detail": 25, "includ": 26, "uncertainti": 26, "60": 26, "obtain": 26, "66946": 26, "3367571": 26, "104": 26, "6558": 26, "49172": 26, "950890866472": 26, "document": 26, "With": 26, "life": 26, "luck": 26, "pdata": 26, "flow": 26, "clear": 26, "One": 26, "longer": 26, "resolv": 26, "atribut": 26, "y_data1": 26, "y_data2": 26, "y_1_result": 26, "y_2_result": 26, "altern": 26, "outcom": 26}, "objects": {"symfit.contrib.interactive_guess": [[22, 0, 0, "-", "interactive_guess"]], "symfit.contrib.interactive_guess.interactive_guess": [[22, 1, 1, "", "InteractiveGuess"], [22, 1, 1, "", "InteractiveGuess2D"], [22, 1, 1, "", "Strategy2D"], [22, 1, 1, "", "StrategynD"]], "symfit.contrib.interactive_guess.interactive_guess.InteractiveGuess": [[22, 2, 1, "", "__init__"], [22, 2, 1, "", "__str__"], [22, 2, 1, "", "execute"]], "symfit.contrib.interactive_guess.interactive_guess.InteractiveGuess2D": [[22, 2, 1, "", "__init__"]], "symfit.contrib.interactive_guess.interactive_guess.Strategy2D": [[22, 2, 1, "", "__init__"], [22, 2, 1, "", "plot_data"], [22, 2, 1, "", "plot_model"], [22, 2, 1, "", "update_plot"]], "symfit.contrib.interactive_guess.interactive_guess.StrategynD": [[22, 2, 1, "", "__init__"], [22, 2, 1, "", "plot_data"], [22, 2, 1, "", "plot_model"], [22, 2, 1, "", "update_plot"]], "symfit.core": [[22, 0, 0, "-", "argument"], [22, 0, 0, "-", "fit"], [22, 0, 0, "-", "fit_results"], [22, 0, 0, "-", "minimizers"], [22, 0, 0, "-", "models"], [22, 0, 0, "-", "objectives"], [22, 0, 0, "-", "operators"], [22, 0, 0, "-", "printing"], [22, 0, 0, "-", "support"]], "symfit.core.argument": [[22, 1, 1, "", "Argument"], [22, 1, 1, "", "Parameter"], [22, 1, 1, "", "Variable"]], "symfit.core.argument.Argument": [[22, 2, 1, "", "__getstate__"], [22, 2, 1, "", "__init__"], [22, 2, 1, "", "__new__"]], "symfit.core.argument.Parameter": [[22, 2, 1, "", "__call__"], [22, 2, 1, "", "__eq__"], [22, 2, 1, "", "__hash__"], [22, 2, 1, "", "__init__"], [22, 2, 1, "", "__new__"]], "symfit.core.fit": [[22, 1, 1, "", "Fit"], [22, 1, 1, "", "HasCovarianceMatrix"], [22, 1, 1, "", "TakesData"]], "symfit.core.fit.Fit": [[22, 2, 1, "", "__init__"], [22, 2, 1, "", "execute"]], "symfit.core.fit.HasCovarianceMatrix": [[22, 2, 1, "", "covariance_matrix"]], "symfit.core.fit.TakesData": [[22, 2, 1, "", "__init__"], [22, 3, 1, "", "data_shapes"], [22, 3, 1, "", "dependent_data"], [22, 3, 1, "", "independent_data"], [22, 3, 1, "", "initial_guesses"], [22, 3, 1, "", "sigma_data"]], "symfit.core.fit_results": [[22, 1, 1, "", "FitResults"], [22, 4, 1, "", "r_squared"]], "symfit.core.fit_results.FitResults": [[22, 2, 1, "", "__getattr__"], [22, 2, 1, "", "__getstate__"], [22, 2, 1, "", "__init__"], [22, 2, 1, "", "__str__"], [22, 2, 1, "", "covariance"], [22, 2, 1, "", "stdev"], [22, 2, 1, "", "value"], [22, 2, 1, "", "variance"]], "symfit.core.minimizers": [[22, 1, 1, "", "BFGS"], [22, 1, 1, "", "BaseMinimizer"], [22, 1, 1, "", "BasinHopping"], [22, 1, 1, "", "BoundedMinimizer"], [22, 1, 1, "", "COBYLA"], [22, 1, 1, "", "ChainedMinimizer"], [22, 1, 1, "", "ConstrainedMinimizer"], [22, 1, 1, "", "DifferentialEvolution"], [22, 1, 1, "", "DummyModel"], [22, 1, 1, "", "GlobalMinimizer"], [22, 1, 1, "", "GradientMinimizer"], [22, 1, 1, "", "HessianMinimizer"], [22, 1, 1, "", "LBFGSB"], [22, 1, 1, "", "MINPACK"], [22, 1, 1, "", "NelderMead"], [22, 1, 1, "", "Powell"], [22, 1, 1, "", "SLSQP"], [22, 1, 1, "", "ScipyBoundedMinimizer"], [22, 1, 1, "", "ScipyConstrainedMinimize"], [22, 1, 1, "", "ScipyGradientMinimize"], [22, 1, 1, "", "ScipyHessianMinimize"], [22, 1, 1, "", "ScipyMinimize"], [22, 1, 1, "", "TrustConstr"]], "symfit.core.minimizers.BaseMinimizer": [[22, 2, 1, "", "__getstate__"], [22, 2, 1, "", "__init__"], [22, 2, 1, "", "execute"]], "symfit.core.minimizers.BasinHopping": [[22, 2, 1, "", "__init__"], [22, 2, 1, "", "execute"]], "symfit.core.minimizers.COBYLA": [[22, 2, 1, "", "execute"]], "symfit.core.minimizers.ChainedMinimizer": [[22, 2, 1, "", "__getstate__"], [22, 2, 1, "", "__init__"], [22, 2, 1, "", "__str__"], [22, 2, 1, "", "execute"]], "symfit.core.minimizers.ConstrainedMinimizer": [[22, 2, 1, "", "__init__"]], "symfit.core.minimizers.DifferentialEvolution": [[22, 2, 1, "", "execute"]], "symfit.core.minimizers.DummyModel": [[22, 2, 1, "", "__getnewargs__"], [22, 2, 1, "", "__new__"], [22, 2, 1, "", "__repr__"], [22, 5, 1, "", "params"]], "symfit.core.minimizers.GlobalMinimizer": [[22, 2, 1, "", "__init__"]], "symfit.core.minimizers.GradientMinimizer": [[22, 2, 1, "", "__init__"], [22, 2, 1, "", "resize_jac"]], "symfit.core.minimizers.HessianMinimizer": [[22, 2, 1, "", "__init__"], [22, 2, 1, "", "resize_hess"]], "symfit.core.minimizers.LBFGSB": [[22, 2, 1, "", "method_name"]], "symfit.core.minimizers.MINPACK": [[22, 2, 1, "", "execute"], [22, 2, 1, "", "resize_jac"]], "symfit.core.minimizers.NelderMead": [[22, 2, 1, "", "method_name"]], "symfit.core.minimizers.ScipyBoundedMinimizer": [[22, 2, 1, "", "execute"]], "symfit.core.minimizers.ScipyConstrainedMinimize": [[22, 2, 1, "", "__init__"], [22, 2, 1, "", "execute"], [22, 2, 1, "", "scipy_constraints"]], "symfit.core.minimizers.ScipyGradientMinimize": [[22, 2, 1, "", "execute"]], "symfit.core.minimizers.ScipyHessianMinimize": [[22, 2, 1, "", "execute"]], "symfit.core.minimizers.ScipyMinimize": [[22, 2, 1, "", "__init__"], [22, 2, 1, "", "execute"], [22, 2, 1, "", "method_name"]], "symfit.core.minimizers.TrustConstr": [[22, 2, 1, "", "execute"], [22, 2, 1, "", "method_name"], [22, 2, 1, "", "scipy_constraints"]], "symfit.core.models": [[22, 1, 1, "", "BaseCallableModel"], [22, 1, 1, "", "BaseGradientModel"], [22, 1, 1, "", "BaseModel"], [22, 1, 1, "", "BaseNumericalModel"], [22, 1, 1, "", "CallableModel"], [22, 1, 1, "", "CallableNumericalModel"], [22, 1, 1, "", "GradientModel"], [22, 1, 1, "", "HessianModel"], [22, 1, 1, "", "Model"], [22, 6, 1, "", "ModelError"], [22, 1, 1, "", "ModelOutput"], [22, 6, 1, "", "ODEError"], [22, 1, 1, "", "ODEModel"], [22, 4, 1, "", "hessian_from_model"], [22, 4, 1, "", "jacobian_from_model"]], "symfit.core.models.BaseCallableModel": [[22, 2, 1, "", "__call__"], [22, 2, 1, "", "eval_components"], [22, 2, 1, "", "numerical_components"]], "symfit.core.models.BaseGradientModel": [[22, 2, 1, "", "eval_jacobian"], [22, 2, 1, "", "finite_difference"]], "symfit.core.models.BaseModel": [[22, 2, 1, "", "__eq__"], [22, 2, 1, "", "__getitem__"], [22, 2, 1, "", "__getstate__"], [22, 5, 1, "", "__hash__"], [22, 2, 1, "", "__init__"], [22, 2, 1, "", "__iter__"], [22, 2, 1, "", "__len__"], [22, 2, 1, "", "__neg__"], [22, 2, 1, "", "__str__"], [22, 2, 1, "", "as_constraint"], [22, 3, 1, "", "bounds"], [22, 3, 1, "", "connectivity_mapping"], [22, 3, 1, "", "free_params"], [22, 3, 1, "", "function_dict"], [22, 3, 1, "", "ordered_symbols"], [22, 3, 1, "", "shared_parameters"], [22, 3, 1, "", "vars"], [22, 3, 1, "", "vars_as_functions"], [22, 2, 1, "", "with_dependencies"]], "symfit.core.models.BaseNumericalModel": [[22, 2, 1, "", "__eq__"], [22, 5, 1, "", "__hash__"], [22, 2, 1, "", "__init__"], [22, 2, 1, "", "__neg__"], [22, 3, 1, "", "shared_parameters"]], "symfit.core.models.CallableModel": [[22, 3, 1, "", "numerical_components"]], "symfit.core.models.CallableNumericalModel": [[22, 3, 1, "", "numerical_components"]], "symfit.core.models.GradientModel": [[22, 2, 1, "", "__init__"], [22, 2, 1, "", "eval_jacobian"], [22, 3, 1, "", "jacobian"]], "symfit.core.models.HessianModel": [[22, 2, 1, "", "__init__"], [22, 2, 1, "", "eval_hessian"], [22, 3, 1, "", "hessian"]], "symfit.core.models.ModelOutput": [[22, 2, 1, "", "__getitem__"], [22, 2, 1, "", "__getstate__"], [22, 2, 1, "", "__init__"], [22, 2, 1, "", "__len__"], [22, 2, 1, "", "__new__"], [22, 2, 1, "", "__repr__"]], "symfit.core.models.ODEModel": [[22, 2, 1, "", "__call__"], [22, 2, 1, "", "__getitem__"], [22, 2, 1, "", "__init__"], [22, 2, 1, "", "__iter__"], [22, 2, 1, "", "__neg__"], [22, 2, 1, "", "__str__"], [22, 2, 1, "", "eval_components"], [22, 3, 1, "", "system"]], "symfit.core.objectives": [[22, 1, 1, "", "BaseIndependentObjective"], [22, 1, 1, "", "BaseObjective"], [22, 1, 1, "", "GradientObjective"], [22, 1, 1, "", "HessianObjective"], [22, 1, 1, "", "HessianObjectiveJacApprox"], [22, 1, 1, "", "LeastSquares"], [22, 1, 1, "", "LogLikelihood"], [22, 1, 1, "", "MinimizeModel"], [22, 1, 1, "", "VectorLeastSquares"]], "symfit.core.objectives.BaseIndependentObjective": [[22, 3, 1, "", "dependent_data"], [22, 3, 1, "", "sigma_data"]], "symfit.core.objectives.BaseObjective": [[22, 2, 1, "", "__call__"], [22, 2, 1, "", "__eq__"], [22, 5, 1, "", "__hash__"], [22, 2, 1, "", "__init__"], [22, 3, 1, "", "dependent_data"], [22, 3, 1, "", "independent_data"], [22, 3, 1, "", "sigma_data"]], "symfit.core.objectives.GradientObjective": [[22, 2, 1, "", "eval_jacobian"]], "symfit.core.objectives.HessianObjective": [[22, 2, 1, "", "eval_hessian"]], "symfit.core.objectives.HessianObjectiveJacApprox": [[22, 2, 1, "", "eval_hessian"]], "symfit.core.objectives.LeastSquares": [[22, 2, 1, "", "__call__"], [22, 2, 1, "", "eval_hessian"], [22, 2, 1, "", "eval_jacobian"]], "symfit.core.objectives.LogLikelihood": [[22, 2, 1, "", "__call__"], [22, 2, 1, "", "eval_hessian"], [22, 2, 1, "", "eval_jacobian"]], "symfit.core.objectives.MinimizeModel": [[22, 2, 1, "", "__call__"], [22, 2, 1, "", "__init__"], [22, 2, 1, "", "eval_hessian"], [22, 2, 1, "", "eval_jacobian"]], "symfit.core.objectives.VectorLeastSquares": [[22, 2, 1, "", "__call__"], [22, 2, 1, "", "eval_jacobian"]], "symfit.core.operators": [[22, 4, 1, "", "call"]], "symfit.core.support": [[22, 1, 1, "", "cached_property"], [22, 1, 1, "", "deprecated"], [22, 4, 1, "", "jacobian"], [22, 4, 1, "", "key2str"], [22, 4, 1, "", "name"], [22, 4, 1, "", "parameters"], [22, 4, 1, "", "seperate_symbols"], [22, 4, 1, "", "sympy_to_py"], [22, 4, 1, "", "sympy_to_scipy"], [22, 4, 1, "", "variables"]], "symfit.core.support.cached_property": [[22, 2, 1, "", "__delete__"], [22, 2, 1, "", "__get__"], [22, 2, 1, "", "__init__"]], "symfit.core.support.deprecated": [[22, 2, 1, "", "__call__"], [22, 2, 1, "", "__init__"]], "symfit": [[22, 0, 0, "-", "distributions"]], "symfit.distributions": [[22, 4, 1, "", "BivariateGaussian"], [22, 4, 1, "", "Exp"], [22, 4, 1, "", "Gaussian"]]}, "objtypes": {"0": "py:module", "1": "py:class", "2": "py:method", "3": "py:property", "4": "py:function", "5": "py:attribute", "6": "py:exception"}, "objnames": {"0": ["py", "module", "Python module"], "1": ["py", "class", "Python class"], "2": ["py", "method", "Python method"], "3": ["py", "property", "Python property"], "4": ["py", "function", "Python function"], "5": ["py", "attribute", "Python attribute"], "6": ["py", "exception", "Python exception"]}, "titleterms": {"intern": 0, "api": [0, 26], "structur": 0, "fit": [0, 5, 11, 14, 17, 21, 22], "101": 0, "model": [0, 2, 9, 16, 17, 22, 26], "object": [0, 16, 22], "minim": [0, 10, 16, 17, 22], "depend": [1, 19], "credit": 1, "exampl": [2, 3, 4, 5, 6, 7, 8, 9, 11, 12, 13, 14, 15, 16, 23, 26], "piecewis": [2, 13], "us": [2, 3, 12, 15], "callablenumericalmodel": [2, 3], "odemodel": [3, 4, 12], "subproblem": 3, "reaction": [4, 12], "kinet": [4, 12], "likelihood": [5, 11, 17, 21], "bivari": 5, "gaussian": 5, "fourier": 6, "seri": 6, "interact": [7, 8, 9, 16], "guess": [7, 8, 9, 16, 26], "od": [7, 17], "n": 8, "dimens": 8, "vector": 9, "global": [10, 11, 17], "skew": 10, "mexican": 10, "hat": 10, "multipl": [12, 17], "speci": 12, "continu": 13, "function": 13, "polynomi": 14, "surfac": 14, "matrix": 15, "equat": 15, "tikhonov": 15, "regular": 15, "modul": [16, 19, 22], "type": 17, "least": 17, "squar": 17, "constrain": 17, "maxim": 17, "dataset": 17, "multidimension": 17, "basin": 17, "hop": 17, "advanc": 17, "usag": 17, "what": 17, "i": 17, "unnam": 17, "welcom": 18, "symfit": [18, 26], "": 18, "document": [18, 22], "indic": 18, "tabl": 18, "instal": 19, "contrib": [19, 22], "introduct": 20, "technic": [20, 25], "reason": 20, "On": [21, 23], "argument": 22, "oper": 22, "result": [22, 26], "support": 22, "print": 22, "distribut": 22, "standard": 23, "deviat": 23, "analyt": 23, "comparison": 23, "mathematica": 23, "style": 24, "guid": 24, "best": 24, "practic": 24, "note": 25, "tutori": 26, "simpl": 26, "initi": 26, "access": 26, "evalu": 26, "name": 26, "expos": 26, "sympi": 26}, "envversion": {"sphinx.domains.c": 2, "sphinx.domains.changeset": 1, "sphinx.domains.citation": 1, "sphinx.domains.cpp": 8, "sphinx.domains.index": 1, "sphinx.domains.javascript": 2, "sphinx.domains.math": 2, "sphinx.domains.python": 3, "sphinx.domains.rst": 2, "sphinx.domains.std": 2, "sphinx.ext.viewcode": 1, "sphinx.ext.intersphinx": 1, "nbsphinx": 4, "sphinx": 57}, "alltitles": {"Internal API Structure": [[0, "internal-api-structure"]], "Fitting 101": [[0, "fitting-101"]], "Models": [[0, "models"], [22, "module-symfit.core.models"]], "Objectives": [[0, "objectives"], [22, "module-symfit.core.objectives"]], "Minimizers": [[0, "minimizers"], [22, "module-symfit.core.minimizers"]], "Fit": [[0, "fit"], [22, "module-symfit.core.fit"]], "Dependencies and Credits": [[1, "dependencies-and-credits"]], "Example: Piecewise model using CallableNumericalModel": [[2, "example-piecewise-model-using-callablenumericalmodel"]], "Example: ODEModels as subproblems using CallableNumericalModel": [[3, "Example:-ODEModels-as-subproblems-using-CallableNumericalModel"]], "Example: ODEModel for Reaction Kinetics": [[4, "example-odemodel-for-reaction-kinetics"]], "Example: Likelihood fitting a Bivariate Gaussian": [[5, "Example:-Likelihood-fitting-a-Bivariate-Gaussian"]], "Example: Fourier Series": [[6, "example-fourier-series"]], "Example: Interactive Guesses ODE": [[7, "example-interactive-guesses-ode"]], "Example: Interactive Guesses in N dimensions": [[8, "example-interactive-guesses-in-n-dimensions"]], "Example: Interactive Guesses Vector Model": [[9, "example-interactive-guesses-vector-model"]], "Global minimization: Skewed Mexican hat": [[10, "Global-minimization:-Skewed-Mexican-hat"]], "Example: Global Likelihood fitting": [[11, "example-global-likelihood-fitting"]], "Example: Multiple species Reaction Kinetics using ODEModel": [[12, "Example:-Multiple-species-Reaction-Kinetics-using-ODEModel"]], "Example: Piecewise continuous function": [[13, "example-piecewise-continuous-function"]], "Example: Polynomial Surface Fit": [[14, "example-polynomial-surface-fit"]], "Example: Matrix Equations using Tikhonov Regularization": [[15, "Example:-Matrix-Equations-using-Tikhonov-Regularization"]], "Examples": [[16, "examples"]], "Model Examples": [[16, "model-examples"]], "Objective Examples": [[16, "objective-examples"]], "Minimizer Examples": [[16, "minimizer-examples"]], "Interactive Guess Module": [[16, "interactive-guess-module"]], "Fitting Types": [[17, "fitting-types"]], "Fit (Least Squares)": [[17, "fit-least-squares"]], "Constrained Least Squares Fit": [[17, "constrained-least-squares-fit"]], "Likelihood": [[17, "likelihood"]], "Minimize/Maximize": [[17, "minimize-maximize"]], "ODE Fitting": [[17, "ode-fitting"]], "Fitting multiple datasets": [[17, "fitting-multiple-datasets"]], "Fitting multidimensional datasets": [[17, "fitting-multidimensional-datasets"]], "Global Minimization": [[17, "global-minimization"]], "Constrained Basin-Hopping": [[17, "constrained-basin-hopping"]], "Advanced usage": [[17, "advanced-usage"]], "What if the model is unnamed?": [[17, "what-if-the-model-is-unnamed"]], "Welcome to symfit\u2019s documentation!": [[18, "welcome-to-symfit-s-documentation"]], "Indices and tables": [[18, "indices-and-tables"]], "Installation": [[19, "installation"]], "Contrib module": [[19, "contrib-module"]], "Dependencies": [[19, "dependencies"]], "Introduction": [[20, "introduction"]], "Technical Reasons": [[20, "technical-reasons"]], "On Likelihood Fitting": [[21, "on-likelihood-fitting"]], "Module Documentation": [[22, "module-documentation"]], "Argument": [[22, "module-symfit.core.argument"]], "Operators": [[22, "module-symfit.core.operators"]], "Fit Results": [[22, "module-symfit.core.fit_results"]], "Support": [[22, "module-symfit.core.support"]], "Printing": [[22, "module-symfit.core.printing"]], "Distributions": [[22, "module-symfit.distributions"]], "Contrib": [[22, "contrib"]], "On Standard Deviations": [[23, "on-standard-deviations"]], "Analytical Example": [[23, "analytical-example"]], "Comparison to Mathematica": [[23, "comparison-to-mathematica"]], "Style Guide & Best Practices": [[24, "style-guide-best-practices"]], "Style Guide": [[24, "style-guide"]], "Best Practices": [[24, "best-practices"]], "Technical Notes": [[25, "technical-notes"]], "Tutorial": [[26, "tutorial"]], "Simple Example": [[26, "simple-example"]], "Initial Guess": [[26, "initial-guess"]], "Accessing the Results": [[26, "accessing-the-results"]], "Evaluating the Model": [[26, "evaluating-the-model"]], "Named Models": [[26, "named-models"]], "symfit exposes sympy.api": [[26, "symfit-exposes-sympy-api"]]}, "indexentries": {"argument (class in symfit.core.argument)": [[22, "symfit.core.argument.Argument"]], "bfgs (class in symfit.core.minimizers)": [[22, "symfit.core.minimizers.BFGS"]], "basecallablemodel (class in symfit.core.models)": [[22, "symfit.core.models.BaseCallableModel"]], "basegradientmodel (class in symfit.core.models)": [[22, "symfit.core.models.BaseGradientModel"]], "baseindependentobjective (class in symfit.core.objectives)": [[22, "symfit.core.objectives.BaseIndependentObjective"]], "baseminimizer (class in symfit.core.minimizers)": [[22, "symfit.core.minimizers.BaseMinimizer"]], "basemodel (class in symfit.core.models)": [[22, "symfit.core.models.BaseModel"]], "basenumericalmodel (class in symfit.core.models)": [[22, "symfit.core.models.BaseNumericalModel"]], "baseobjective (class in symfit.core.objectives)": [[22, "symfit.core.objectives.BaseObjective"]], "basinhopping (class in symfit.core.minimizers)": [[22, "symfit.core.minimizers.BasinHopping"]], "bivariategaussian() (in module symfit.distributions)": [[22, "symfit.distributions.BivariateGaussian"]], "boundedminimizer (class in symfit.core.minimizers)": [[22, "symfit.core.minimizers.BoundedMinimizer"]], "cobyla (class in symfit.core.minimizers)": [[22, "symfit.core.minimizers.COBYLA"]], "callablemodel (class in symfit.core.models)": [[22, "symfit.core.models.CallableModel"]], "callablenumericalmodel (class in symfit.core.models)": [[22, "symfit.core.models.CallableNumericalModel"]], "chainedminimizer (class in symfit.core.minimizers)": [[22, "symfit.core.minimizers.ChainedMinimizer"]], "constrainedminimizer (class in symfit.core.minimizers)": [[22, "symfit.core.minimizers.ConstrainedMinimizer"]], "differentialevolution (class in symfit.core.minimizers)": [[22, "symfit.core.minimizers.DifferentialEvolution"]], "dummymodel (class in symfit.core.minimizers)": [[22, "symfit.core.minimizers.DummyModel"]], "exp() (in module symfit.distributions)": [[22, "symfit.distributions.Exp"]], "fit (class in symfit.core.fit)": [[22, "symfit.core.fit.Fit"]], "fitresults (class in symfit.core.fit_results)": [[22, "symfit.core.fit_results.FitResults"]], "gaussian() (in module symfit.distributions)": [[22, "symfit.distributions.Gaussian"]], "globalminimizer (class in symfit.core.minimizers)": [[22, "symfit.core.minimizers.GlobalMinimizer"]], "gradientminimizer (class in symfit.core.minimizers)": [[22, "symfit.core.minimizers.GradientMinimizer"]], "gradientmodel (class in symfit.core.models)": [[22, "symfit.core.models.GradientModel"]], "gradientobjective (class in symfit.core.objectives)": [[22, "symfit.core.objectives.GradientObjective"]], "hascovariancematrix (class in symfit.core.fit)": [[22, "symfit.core.fit.HasCovarianceMatrix"]], "hessianminimizer (class in symfit.core.minimizers)": [[22, "symfit.core.minimizers.HessianMinimizer"]], "hessianmodel (class in symfit.core.models)": [[22, "symfit.core.models.HessianModel"]], "hessianobjective (class in symfit.core.objectives)": [[22, "symfit.core.objectives.HessianObjective"]], "hessianobjectivejacapprox (class in symfit.core.objectives)": [[22, "symfit.core.objectives.HessianObjectiveJacApprox"]], "interactiveguess (class in symfit.contrib.interactive_guess.interactive_guess)": [[22, "symfit.contrib.interactive_guess.interactive_guess.InteractiveGuess"]], "interactiveguess2d (class in symfit.contrib.interactive_guess.interactive_guess)": [[22, "symfit.contrib.interactive_guess.interactive_guess.InteractiveGuess2D"]], "lbfgsb (class in symfit.core.minimizers)": [[22, "symfit.core.minimizers.LBFGSB"]], "leastsquares (class in symfit.core.objectives)": [[22, "symfit.core.objectives.LeastSquares"]], "loglikelihood (class in symfit.core.objectives)": [[22, "symfit.core.objectives.LogLikelihood"]], "minpack (class in symfit.core.minimizers)": [[22, "symfit.core.minimizers.MINPACK"]], "minimizemodel (class in symfit.core.objectives)": [[22, "symfit.core.objectives.MinimizeModel"]], "model (class in symfit.core.models)": [[22, "symfit.core.models.Model"]], "modelerror": [[22, "symfit.core.models.ModelError"]], "modeloutput (class in symfit.core.models)": [[22, "symfit.core.models.ModelOutput"]], "neldermead (class in symfit.core.minimizers)": [[22, "symfit.core.minimizers.NelderMead"]], "odeerror": [[22, "symfit.core.models.ODEError"]], "odemodel (class in symfit.core.models)": [[22, "symfit.core.models.ODEModel"]], "parameter (class in symfit.core.argument)": [[22, "symfit.core.argument.Parameter"]], "powell (class in symfit.core.minimizers)": [[22, "symfit.core.minimizers.Powell"]], "slsqp (class in symfit.core.minimizers)": [[22, "symfit.core.minimizers.SLSQP"]], "scipyboundedminimizer (class in symfit.core.minimizers)": [[22, "symfit.core.minimizers.ScipyBoundedMinimizer"]], "scipyconstrainedminimize (class in symfit.core.minimizers)": [[22, "symfit.core.minimizers.ScipyConstrainedMinimize"]], "scipygradientminimize (class in symfit.core.minimizers)": [[22, "symfit.core.minimizers.ScipyGradientMinimize"]], "scipyhessianminimize (class in symfit.core.minimizers)": [[22, "symfit.core.minimizers.ScipyHessianMinimize"]], "scipyminimize (class in symfit.core.minimizers)": [[22, "symfit.core.minimizers.ScipyMinimize"]], "strategy2d (class in symfit.contrib.interactive_guess.interactive_guess)": [[22, "symfit.contrib.interactive_guess.interactive_guess.Strategy2D"]], "strategynd (class in symfit.contrib.interactive_guess.interactive_guess)": [[22, "symfit.contrib.interactive_guess.interactive_guess.StrategynD"]], "takesdata (class in symfit.core.fit)": [[22, "symfit.core.fit.TakesData"]], "trustconstr (class in symfit.core.minimizers)": [[22, "symfit.core.minimizers.TrustConstr"]], "variable (class in symfit.core.argument)": [[22, "symfit.core.argument.Variable"]], "vectorleastsquares (class in symfit.core.objectives)": [[22, "symfit.core.objectives.VectorLeastSquares"]], "__call__() (symfit.core.argument.parameter method)": [[22, "symfit.core.argument.Parameter.__call__"]], "__call__() (symfit.core.models.basecallablemodel method)": [[22, "symfit.core.models.BaseCallableModel.__call__"]], "__call__() (symfit.core.models.odemodel method)": [[22, "symfit.core.models.ODEModel.__call__"]], "__call__() (symfit.core.objectives.baseobjective method)": [[22, "symfit.core.objectives.BaseObjective.__call__"]], "__call__() (symfit.core.objectives.leastsquares method)": [[22, "symfit.core.objectives.LeastSquares.__call__"]], "__call__() (symfit.core.objectives.loglikelihood method)": [[22, "symfit.core.objectives.LogLikelihood.__call__"]], "__call__() (symfit.core.objectives.minimizemodel method)": [[22, "symfit.core.objectives.MinimizeModel.__call__"]], "__call__() (symfit.core.objectives.vectorleastsquares method)": [[22, "symfit.core.objectives.VectorLeastSquares.__call__"]], "__call__() (symfit.core.support.deprecated method)": [[22, "symfit.core.support.deprecated.__call__"]], "__delete__() (symfit.core.support.cached_property method)": [[22, "symfit.core.support.cached_property.__delete__"]], "__eq__() (symfit.core.argument.parameter method)": [[22, "symfit.core.argument.Parameter.__eq__"]], "__eq__() (symfit.core.models.basemodel method)": [[22, "symfit.core.models.BaseModel.__eq__"]], "__eq__() (symfit.core.models.basenumericalmodel method)": [[22, "symfit.core.models.BaseNumericalModel.__eq__"]], "__eq__() (symfit.core.objectives.baseobjective method)": [[22, "symfit.core.objectives.BaseObjective.__eq__"]], "__get__() (symfit.core.support.cached_property method)": [[22, "symfit.core.support.cached_property.__get__"]], "__getattr__() (symfit.core.fit_results.fitresults method)": [[22, "symfit.core.fit_results.FitResults.__getattr__"]], "__getitem__() (symfit.core.models.basemodel method)": [[22, "symfit.core.models.BaseModel.__getitem__"]], "__getitem__() (symfit.core.models.modeloutput method)": [[22, "symfit.core.models.ModelOutput.__getitem__"]], "__getitem__() (symfit.core.models.odemodel method)": [[22, "symfit.core.models.ODEModel.__getitem__"]], "__getnewargs__() (symfit.core.minimizers.dummymodel method)": [[22, "symfit.core.minimizers.DummyModel.__getnewargs__"]], "__getstate__() (symfit.core.argument.argument method)": [[22, "symfit.core.argument.Argument.__getstate__"]], "__getstate__() (symfit.core.fit_results.fitresults method)": [[22, "symfit.core.fit_results.FitResults.__getstate__"]], "__getstate__() (symfit.core.minimizers.baseminimizer method)": [[22, "symfit.core.minimizers.BaseMinimizer.__getstate__"]], "__getstate__() (symfit.core.minimizers.chainedminimizer method)": [[22, "symfit.core.minimizers.ChainedMinimizer.__getstate__"]], "__getstate__() (symfit.core.models.basemodel method)": [[22, "symfit.core.models.BaseModel.__getstate__"]], "__getstate__() (symfit.core.models.modeloutput method)": [[22, "symfit.core.models.ModelOutput.__getstate__"]], "__hash__ (symfit.core.models.basemodel attribute)": [[22, "symfit.core.models.BaseModel.__hash__"]], "__hash__ (symfit.core.models.basenumericalmodel attribute)": [[22, "symfit.core.models.BaseNumericalModel.__hash__"]], "__hash__ (symfit.core.objectives.baseobjective attribute)": [[22, "symfit.core.objectives.BaseObjective.__hash__"]], "__hash__() (symfit.core.argument.parameter method)": [[22, "symfit.core.argument.Parameter.__hash__"]], "__init__() (symfit.contrib.interactive_guess.interactive_guess.interactiveguess method)": [[22, "symfit.contrib.interactive_guess.interactive_guess.InteractiveGuess.__init__"]], "__init__() (symfit.contrib.interactive_guess.interactive_guess.interactiveguess2d method)": [[22, "symfit.contrib.interactive_guess.interactive_guess.InteractiveGuess2D.__init__"]], "__init__() (symfit.contrib.interactive_guess.interactive_guess.strategy2d method)": [[22, "symfit.contrib.interactive_guess.interactive_guess.Strategy2D.__init__"]], "__init__() (symfit.contrib.interactive_guess.interactive_guess.strategynd method)": [[22, "symfit.contrib.interactive_guess.interactive_guess.StrategynD.__init__"]], "__init__() (symfit.core.argument.argument method)": [[22, "symfit.core.argument.Argument.__init__"]], "__init__() (symfit.core.argument.parameter method)": [[22, "symfit.core.argument.Parameter.__init__"]], "__init__() (symfit.core.fit.fit method)": [[22, "symfit.core.fit.Fit.__init__"]], "__init__() (symfit.core.fit.takesdata method)": [[22, "symfit.core.fit.TakesData.__init__"]], "__init__() (symfit.core.fit_results.fitresults method)": [[22, "symfit.core.fit_results.FitResults.__init__"]], "__init__() (symfit.core.minimizers.baseminimizer method)": [[22, "symfit.core.minimizers.BaseMinimizer.__init__"]], "__init__() (symfit.core.minimizers.basinhopping method)": [[22, "symfit.core.minimizers.BasinHopping.__init__"]], "__init__() (symfit.core.minimizers.chainedminimizer method)": [[22, "symfit.core.minimizers.ChainedMinimizer.__init__"]], "__init__() (symfit.core.minimizers.constrainedminimizer method)": [[22, "symfit.core.minimizers.ConstrainedMinimizer.__init__"]], "__init__() (symfit.core.minimizers.globalminimizer method)": [[22, "symfit.core.minimizers.GlobalMinimizer.__init__"]], "__init__() (symfit.core.minimizers.gradientminimizer method)": [[22, "symfit.core.minimizers.GradientMinimizer.__init__"]], "__init__() (symfit.core.minimizers.hessianminimizer method)": [[22, "symfit.core.minimizers.HessianMinimizer.__init__"]], "__init__() (symfit.core.minimizers.scipyconstrainedminimize method)": [[22, "symfit.core.minimizers.ScipyConstrainedMinimize.__init__"]], "__init__() (symfit.core.minimizers.scipyminimize method)": [[22, "symfit.core.minimizers.ScipyMinimize.__init__"]], "__init__() (symfit.core.models.basemodel method)": [[22, "symfit.core.models.BaseModel.__init__"]], "__init__() (symfit.core.models.basenumericalmodel method)": [[22, "symfit.core.models.BaseNumericalModel.__init__"]], "__init__() (symfit.core.models.gradientmodel method)": [[22, "symfit.core.models.GradientModel.__init__"]], "__init__() (symfit.core.models.hessianmodel method)": [[22, "symfit.core.models.HessianModel.__init__"]], "__init__() (symfit.core.models.modeloutput method)": [[22, "symfit.core.models.ModelOutput.__init__"]], "__init__() (symfit.core.models.odemodel method)": [[22, "symfit.core.models.ODEModel.__init__"]], "__init__() (symfit.core.objectives.baseobjective method)": [[22, "symfit.core.objectives.BaseObjective.__init__"]], "__init__() (symfit.core.objectives.minimizemodel method)": [[22, "symfit.core.objectives.MinimizeModel.__init__"]], "__init__() (symfit.core.support.cached_property method)": [[22, "symfit.core.support.cached_property.__init__"]], "__init__() (symfit.core.support.deprecated method)": [[22, "symfit.core.support.deprecated.__init__"]], "__iter__() (symfit.core.models.basemodel method)": [[22, "symfit.core.models.BaseModel.__iter__"]], "__iter__() (symfit.core.models.odemodel method)": [[22, "symfit.core.models.ODEModel.__iter__"]], "__len__() (symfit.core.models.basemodel method)": [[22, "symfit.core.models.BaseModel.__len__"]], "__len__() (symfit.core.models.modeloutput method)": [[22, "symfit.core.models.ModelOutput.__len__"]], "__neg__() (symfit.core.models.basemodel method)": [[22, "symfit.core.models.BaseModel.__neg__"]], "__neg__() (symfit.core.models.basenumericalmodel method)": [[22, "symfit.core.models.BaseNumericalModel.__neg__"]], "__neg__() (symfit.core.models.odemodel method)": [[22, "symfit.core.models.ODEModel.__neg__"]], "__new__() (symfit.core.argument.argument static method)": [[22, "symfit.core.argument.Argument.__new__"]], "__new__() (symfit.core.argument.parameter static method)": [[22, "symfit.core.argument.Parameter.__new__"]], "__new__() (symfit.core.minimizers.dummymodel static method)": [[22, "symfit.core.minimizers.DummyModel.__new__"]], "__new__() (symfit.core.models.modeloutput static method)": [[22, "symfit.core.models.ModelOutput.__new__"]], "__repr__() (symfit.core.minimizers.dummymodel method)": [[22, "symfit.core.minimizers.DummyModel.__repr__"]], "__repr__() (symfit.core.models.modeloutput method)": [[22, "symfit.core.models.ModelOutput.__repr__"]], "__str__() (symfit.contrib.interactive_guess.interactive_guess.interactiveguess method)": [[22, "symfit.contrib.interactive_guess.interactive_guess.InteractiveGuess.__str__"]], "__str__() (symfit.core.fit_results.fitresults method)": [[22, "symfit.core.fit_results.FitResults.__str__"]], "__str__() (symfit.core.minimizers.chainedminimizer method)": [[22, "symfit.core.minimizers.ChainedMinimizer.__str__"]], "__str__() (symfit.core.models.basemodel method)": [[22, "symfit.core.models.BaseModel.__str__"]], "__str__() (symfit.core.models.odemodel method)": [[22, "symfit.core.models.ODEModel.__str__"]], "as_constraint() (symfit.core.models.basemodel class method)": [[22, "symfit.core.models.BaseModel.as_constraint"]], "bounds (symfit.core.models.basemodel property)": [[22, "symfit.core.models.BaseModel.bounds"]], "cached_property (class in symfit.core.support)": [[22, "symfit.core.support.cached_property"]], "call() (in module symfit.core.operators)": [[22, "symfit.core.operators.call"]], "connectivity_mapping (symfit.core.models.basemodel property)": [[22, "symfit.core.models.BaseModel.connectivity_mapping"]], "covariance() (symfit.core.fit_results.fitresults method)": [[22, "symfit.core.fit_results.FitResults.covariance"]], "covariance_matrix() (symfit.core.fit.hascovariancematrix method)": [[22, "symfit.core.fit.HasCovarianceMatrix.covariance_matrix"]], "data_shapes (symfit.core.fit.takesdata property)": [[22, "symfit.core.fit.TakesData.data_shapes"]], "dependent_data (symfit.core.fit.takesdata property)": [[22, "symfit.core.fit.TakesData.dependent_data"]], "dependent_data (symfit.core.objectives.baseindependentobjective property)": [[22, "symfit.core.objectives.BaseIndependentObjective.dependent_data"]], "dependent_data (symfit.core.objectives.baseobjective property)": [[22, "symfit.core.objectives.BaseObjective.dependent_data"]], "deprecated (class in symfit.core.support)": [[22, "symfit.core.support.deprecated"]], "eval_components() (symfit.core.models.basecallablemodel method)": [[22, "symfit.core.models.BaseCallableModel.eval_components"]], "eval_components() (symfit.core.models.odemodel method)": [[22, "symfit.core.models.ODEModel.eval_components"]], "eval_hessian() (symfit.core.models.hessianmodel method)": [[22, "symfit.core.models.HessianModel.eval_hessian"]], "eval_hessian() (symfit.core.objectives.hessianobjective method)": [[22, "symfit.core.objectives.HessianObjective.eval_hessian"]], "eval_hessian() (symfit.core.objectives.hessianobjectivejacapprox method)": [[22, "symfit.core.objectives.HessianObjectiveJacApprox.eval_hessian"]], "eval_hessian() (symfit.core.objectives.leastsquares method)": [[22, "symfit.core.objectives.LeastSquares.eval_hessian"]], "eval_hessian() (symfit.core.objectives.loglikelihood method)": [[22, "symfit.core.objectives.LogLikelihood.eval_hessian"]], "eval_hessian() (symfit.core.objectives.minimizemodel method)": [[22, "symfit.core.objectives.MinimizeModel.eval_hessian"]], "eval_jacobian() (symfit.core.models.basegradientmodel method)": [[22, "symfit.core.models.BaseGradientModel.eval_jacobian"]], "eval_jacobian() (symfit.core.models.gradientmodel method)": [[22, "symfit.core.models.GradientModel.eval_jacobian"]], "eval_jacobian() (symfit.core.objectives.gradientobjective method)": [[22, "symfit.core.objectives.GradientObjective.eval_jacobian"]], "eval_jacobian() (symfit.core.objectives.leastsquares method)": [[22, "symfit.core.objectives.LeastSquares.eval_jacobian"]], "eval_jacobian() (symfit.core.objectives.loglikelihood method)": [[22, "symfit.core.objectives.LogLikelihood.eval_jacobian"]], "eval_jacobian() (symfit.core.objectives.minimizemodel method)": [[22, "symfit.core.objectives.MinimizeModel.eval_jacobian"]], "eval_jacobian() (symfit.core.objectives.vectorleastsquares method)": [[22, "symfit.core.objectives.VectorLeastSquares.eval_jacobian"]], "execute() (symfit.contrib.interactive_guess.interactive_guess.interactiveguess method)": [[22, "symfit.contrib.interactive_guess.interactive_guess.InteractiveGuess.execute"]], "execute() (symfit.core.fit.fit method)": [[22, "symfit.core.fit.Fit.execute"]], "execute() (symfit.core.minimizers.baseminimizer method)": [[22, "symfit.core.minimizers.BaseMinimizer.execute"]], "execute() (symfit.core.minimizers.basinhopping method)": [[22, "symfit.core.minimizers.BasinHopping.execute"]], "execute() (symfit.core.minimizers.cobyla method)": [[22, "symfit.core.minimizers.COBYLA.execute"]], "execute() (symfit.core.minimizers.chainedminimizer method)": [[22, "symfit.core.minimizers.ChainedMinimizer.execute"]], "execute() (symfit.core.minimizers.differentialevolution method)": [[22, "symfit.core.minimizers.DifferentialEvolution.execute"]], "execute() (symfit.core.minimizers.minpack method)": [[22, "symfit.core.minimizers.MINPACK.execute"]], "execute() (symfit.core.minimizers.scipyboundedminimizer method)": [[22, "symfit.core.minimizers.ScipyBoundedMinimizer.execute"]], "execute() (symfit.core.minimizers.scipyconstrainedminimize method)": [[22, "symfit.core.minimizers.ScipyConstrainedMinimize.execute"]], "execute() (symfit.core.minimizers.scipygradientminimize method)": [[22, "symfit.core.minimizers.ScipyGradientMinimize.execute"]], "execute() (symfit.core.minimizers.scipyhessianminimize method)": [[22, "symfit.core.minimizers.ScipyHessianMinimize.execute"]], "execute() (symfit.core.minimizers.scipyminimize method)": [[22, "symfit.core.minimizers.ScipyMinimize.execute"]], "execute() (symfit.core.minimizers.trustconstr method)": [[22, "symfit.core.minimizers.TrustConstr.execute"]], "finite_difference() (symfit.core.models.basegradientmodel method)": [[22, "symfit.core.models.BaseGradientModel.finite_difference"]], "free_params (symfit.core.models.basemodel property)": [[22, "symfit.core.models.BaseModel.free_params"]], "function_dict (symfit.core.models.basemodel property)": [[22, "symfit.core.models.BaseModel.function_dict"]], "hessian (symfit.core.models.hessianmodel property)": [[22, "symfit.core.models.HessianModel.hessian"]], "hessian_from_model() (in module symfit.core.models)": [[22, "symfit.core.models.hessian_from_model"]], "independent_data (symfit.core.fit.takesdata property)": [[22, "symfit.core.fit.TakesData.independent_data"]], "independent_data (symfit.core.objectives.baseobjective property)": [[22, "symfit.core.objectives.BaseObjective.independent_data"]], "initial_guesses (symfit.core.fit.takesdata property)": [[22, "symfit.core.fit.TakesData.initial_guesses"]], "jacobian (symfit.core.models.gradientmodel property)": [[22, "symfit.core.models.GradientModel.jacobian"]], "jacobian() (in module symfit.core.support)": [[22, "symfit.core.support.jacobian"]], "jacobian_from_model() (in module symfit.core.models)": [[22, "symfit.core.models.jacobian_from_model"]], "key2str() (in module symfit.core.support)": [[22, "symfit.core.support.key2str"]], "method_name() (symfit.core.minimizers.lbfgsb class method)": [[22, "symfit.core.minimizers.LBFGSB.method_name"]], "method_name() (symfit.core.minimizers.neldermead class method)": [[22, "symfit.core.minimizers.NelderMead.method_name"]], "method_name() (symfit.core.minimizers.scipyminimize class method)": [[22, "symfit.core.minimizers.ScipyMinimize.method_name"]], "method_name() (symfit.core.minimizers.trustconstr class method)": [[22, "symfit.core.minimizers.TrustConstr.method_name"]], "module": [[22, "module-symfit.contrib.interactive_guess.interactive_guess"], [22, "module-symfit.core.argument"], [22, "module-symfit.core.fit"], [22, "module-symfit.core.fit_results"], [22, "module-symfit.core.minimizers"], [22, "module-symfit.core.models"], [22, "module-symfit.core.objectives"], [22, "module-symfit.core.operators"], [22, "module-symfit.core.printing"], [22, "module-symfit.core.support"], [22, "module-symfit.distributions"]], "name() (in module symfit.core.support)": [[22, "symfit.core.support.name"]], "numerical_components (symfit.core.models.callablemodel property)": [[22, "symfit.core.models.CallableModel.numerical_components"]], "numerical_components (symfit.core.models.callablenumericalmodel property)": [[22, "symfit.core.models.CallableNumericalModel.numerical_components"]], "numerical_components() (symfit.core.models.basecallablemodel method)": [[22, "symfit.core.models.BaseCallableModel.numerical_components"]], "ordered_symbols (symfit.core.models.basemodel property)": [[22, "symfit.core.models.BaseModel.ordered_symbols"]], "parameters() (in module symfit.core.support)": [[22, "symfit.core.support.parameters"]], "params (symfit.core.minimizers.dummymodel attribute)": [[22, "symfit.core.minimizers.DummyModel.params"]], "plot_data() (symfit.contrib.interactive_guess.interactive_guess.strategy2d method)": [[22, "symfit.contrib.interactive_guess.interactive_guess.Strategy2D.plot_data"]], "plot_data() (symfit.contrib.interactive_guess.interactive_guess.strategynd method)": [[22, "symfit.contrib.interactive_guess.interactive_guess.StrategynD.plot_data"]], "plot_model() (symfit.contrib.interactive_guess.interactive_guess.strategy2d method)": [[22, "symfit.contrib.interactive_guess.interactive_guess.Strategy2D.plot_model"]], "plot_model() (symfit.contrib.interactive_guess.interactive_guess.strategynd method)": [[22, "symfit.contrib.interactive_guess.interactive_guess.StrategynD.plot_model"]], "r_squared() (in module symfit.core.fit_results)": [[22, "symfit.core.fit_results.r_squared"]], "resize_hess() (symfit.core.minimizers.hessianminimizer method)": [[22, "symfit.core.minimizers.HessianMinimizer.resize_hess"]], "resize_jac() (symfit.core.minimizers.gradientminimizer method)": [[22, "symfit.core.minimizers.GradientMinimizer.resize_jac"]], "resize_jac() (symfit.core.minimizers.minpack method)": [[22, "symfit.core.minimizers.MINPACK.resize_jac"]], "scipy_constraints() (symfit.core.minimizers.scipyconstrainedminimize method)": [[22, "symfit.core.minimizers.ScipyConstrainedMinimize.scipy_constraints"]], "scipy_constraints() (symfit.core.minimizers.trustconstr method)": [[22, "symfit.core.minimizers.TrustConstr.scipy_constraints"]], "seperate_symbols() (in module symfit.core.support)": [[22, "symfit.core.support.seperate_symbols"]], "shared_parameters (symfit.core.models.basemodel property)": [[22, "symfit.core.models.BaseModel.shared_parameters"]], "shared_parameters (symfit.core.models.basenumericalmodel property)": [[22, "symfit.core.models.BaseNumericalModel.shared_parameters"]], "sigma_data (symfit.core.fit.takesdata property)": [[22, "symfit.core.fit.TakesData.sigma_data"]], "sigma_data (symfit.core.objectives.baseindependentobjective property)": [[22, "symfit.core.objectives.BaseIndependentObjective.sigma_data"]], "sigma_data (symfit.core.objectives.baseobjective property)": [[22, "symfit.core.objectives.BaseObjective.sigma_data"]], "stdev() (symfit.core.fit_results.fitresults method)": [[22, "symfit.core.fit_results.FitResults.stdev"]], "symfit.contrib.interactive_guess.interactive_guess": [[22, "module-symfit.contrib.interactive_guess.interactive_guess"]], "symfit.core.argument": [[22, "module-symfit.core.argument"]], "symfit.core.fit": [[22, "module-symfit.core.fit"]], "symfit.core.fit_results": [[22, "module-symfit.core.fit_results"]], "symfit.core.minimizers": [[22, "module-symfit.core.minimizers"]], "symfit.core.models": [[22, "module-symfit.core.models"]], "symfit.core.objectives": [[22, "module-symfit.core.objectives"]], "symfit.core.operators": [[22, "module-symfit.core.operators"]], "symfit.core.printing": [[22, "module-symfit.core.printing"]], "symfit.core.support": [[22, "module-symfit.core.support"]], "symfit.distributions": [[22, "module-symfit.distributions"]], "sympy_to_py() (in module symfit.core.support)": [[22, "symfit.core.support.sympy_to_py"]], "sympy_to_scipy() (in module symfit.core.support)": [[22, "symfit.core.support.sympy_to_scipy"]], "system (symfit.core.models.odemodel property)": [[22, "symfit.core.models.ODEModel.system"]], "update_plot() (symfit.contrib.interactive_guess.interactive_guess.strategy2d method)": [[22, "symfit.contrib.interactive_guess.interactive_guess.Strategy2D.update_plot"]], "update_plot() (symfit.contrib.interactive_guess.interactive_guess.strategynd method)": [[22, "symfit.contrib.interactive_guess.interactive_guess.StrategynD.update_plot"]], "value() (symfit.core.fit_results.fitresults method)": [[22, "symfit.core.fit_results.FitResults.value"]], "variables() (in module symfit.core.support)": [[22, "symfit.core.support.variables"]], "variance() (symfit.core.fit_results.fitresults method)": [[22, "symfit.core.fit_results.FitResults.variance"]], "vars (symfit.core.models.basemodel property)": [[22, "symfit.core.models.BaseModel.vars"]], "vars_as_functions (symfit.core.models.basemodel property)": [[22, "symfit.core.models.BaseModel.vars_as_functions"]], "with_dependencies() (symfit.core.models.basemodel class method)": [[22, "symfit.core.models.BaseModel.with_dependencies"]]}})